
/* Copyright (C) NEC Corporation 1998 

   derived by: 'df3102.800' Version E1.00 */

struct bitf {
	unsigned char bit00:1;
	unsigned char bit01:1;
	unsigned char bit02:1;
	unsigned char bit03:1;
	unsigned char bit04:1;
	unsigned char bit05:1;
	unsigned char bit06:1;
	unsigned char bit07:1;
	unsigned char bit08:1;
	unsigned char bit09:1;
	unsigned char bit10:1;
	unsigned char bit11:1;
	unsigned char bit12:1;
	unsigned char bit13:1;
	unsigned char bit14:1;
	unsigned char bit15:1;
};


/* I/O register */

#define	P0	*((volatile unsigned char *)0xfffff000)
#define	P1	*((volatile unsigned char *)0xfffff002)
#define	P2	*((volatile unsigned char *)0xfffff004)
#define	P3	*((volatile unsigned char *)0xfffff006)
#define	P4	*((volatile unsigned char *)0xfffff008)
#define	P5	*((volatile unsigned char *)0xfffff00a)
#define	P6	*((volatile unsigned char *)0xfffff00c)
#define	P7	*((volatile unsigned char *)0xfffff00e)
#define	P8	*((volatile unsigned char *)0xfffff010)
#define	P9	*((volatile unsigned char *)0xfffff012)
#define	P10	*((volatile unsigned char *)0xfffff014)
#define	P11	*((volatile unsigned char *)0xfffff016)
#define	P12	*((volatile unsigned char *)0xfffff018)
#define	PA	*((volatile unsigned char *)0xfffff01c)
#define	PB	*((volatile unsigned char *)0xfffff01e)
#define	PM0	*((volatile unsigned char *)0xfffff020)
#define	PM1	*((volatile unsigned char *)0xfffff022)
#define	PM2	*((volatile unsigned char *)0xfffff024)
#define	PM3	*((volatile unsigned char *)0xfffff026)
#define	PM4	*((volatile unsigned char *)0xfffff028)
#define	PM5	*((volatile unsigned char *)0xfffff02a)
#define	PM6	*((volatile unsigned char *)0xfffff02c)
#define	PM8	*((volatile unsigned char *)0xfffff030)
#define	PM9	*((volatile unsigned char *)0xfffff032)
#define	PM10	*((volatile unsigned char *)0xfffff034)
#define	PM11	*((volatile unsigned char *)0xfffff036)
#define	PM12	*((volatile unsigned char *)0xfffff038)
#define	PMA	*((volatile unsigned char *)0xfffff03c)
#define	PMB	*((volatile unsigned char *)0xfffff03e)
#define	PMC0	*((volatile unsigned char *)0xfffff040)
#define	PMC1	*((volatile unsigned char *)0xfffff042)
#define	PMC2	*((volatile unsigned char *)0xfffff044)
#define	PMC3	*((volatile unsigned char *)0xfffff046)
#define	MM	*((volatile unsigned char *)0xfffff04c)
#define	PMC8	*((volatile unsigned char *)0xfffff050)
#define	PMC9	*((volatile unsigned char *)0xfffff052)
#define	PMC10	*((volatile unsigned char *)0xfffff054)
#define	PMC11	*((volatile unsigned char *)0xfffff056)
#define	PMC12	*((volatile unsigned char *)0xfffff058)
#define	DWC1	*((volatile unsigned short *)0xfffff060)
#define	BCC	*((volatile unsigned short *)0xfffff062)
#define	BCT	*((volatile unsigned short *)0xfffff064)
#define	BSC	*((volatile unsigned short *)0xfffff066)
#define	DWC2	*((volatile unsigned char *)0xfffff06a)
#define	FDW	*((volatile unsigned char *)0xfffff06c)
#define	PSC	*((volatile unsigned char *)0xfffff070)
#define	CKC	*((volatile unsigned char *)0xfffff072)
#define	SYS	*((volatile unsigned char *)0xfffff078)
#define	BRGC0	*((volatile unsigned char *)0xfffff084)
#define	BPRM0	*((volatile unsigned char *)0xfffff086)
#define	CSIM0	*((volatile unsigned char *)0xfffff088)
#define	SIO0	*((volatile unsigned char *)0xfffff08a)
#define	BRGC1	*((volatile unsigned char *)0xfffff094)
#define	BPRM1	*((volatile unsigned char *)0xfffff096)
#define	CSIM1	*((volatile unsigned char *)0xfffff098)
#define	SIO1	*((volatile unsigned char *)0xfffff09a)
#define	BRGC2	*((volatile unsigned char *)0xfffff0a4)
#define	BPRM2	*((volatile unsigned char *)0xfffff0a6)
#define	CSIM2	*((volatile unsigned char *)0xfffff0a8)
#define	SIO2	*((volatile unsigned char *)0xfffff0aa)
#define	CSIM3	*((volatile unsigned char *)0xfffff0b8)
#define	SIO3	*((volatile unsigned char *)0xfffff0ba)
#define	ASIM00	*((volatile unsigned char *)0xfffff0c0)
#define	ASIM01	*((volatile unsigned char *)0xfffff0c2)
#define	ASIS0	*((volatile unsigned char *)0xfffff0c4)
#define	RXB0	*((volatile unsigned short *)0xfffff0c8)
#define	RXB0L	*((volatile unsigned char *)0xfffff0ca)
#define	TXS0	*((volatile unsigned short *)0xfffff0cc)
#define	TXS0L	*((volatile unsigned char *)0xfffff0ce)
#define	ASIM10	*((volatile unsigned char *)0xfffff0d0)
#define	ASIM11	*((volatile unsigned char *)0xfffff0d2)
#define	ASIS1	*((volatile unsigned char *)0xfffff0d4)
#define	RXB1	*((volatile unsigned short *)0xfffff0d8)
#define	RXB1L	*((volatile unsigned char *)0xfffff0da)
#define	TXS1	*((volatile unsigned short *)0xfffff0dc)
#define	TXS1L	*((volatile unsigned char *)0xfffff0de)
#define	OVIC10	*((volatile unsigned char *)0xfffff100)
#define	OVIC11	*((volatile unsigned char *)0xfffff102)
#define	OVIC12	*((volatile unsigned char *)0xfffff104)
#define	OVIC13	*((volatile unsigned char *)0xfffff106)
#define	OVIC14	*((volatile unsigned char *)0xfffff108)
#define	OVIC15	*((volatile unsigned char *)0xfffff10a)
#define	CMIC40	*((volatile unsigned char *)0xfffff10c)
#define	CMIC41	*((volatile unsigned char *)0xfffff10e)
#define	P10IC0	*((volatile unsigned char *)0xfffff110)
#define	P10IC1	*((volatile unsigned char *)0xfffff112)
#define	P10IC2	*((volatile unsigned char *)0xfffff114)
#define	P10IC3	*((volatile unsigned char *)0xfffff116)
#define	P11IC0	*((volatile unsigned char *)0xfffff118)
#define	P11IC1	*((volatile unsigned char *)0xfffff11a)
#define	P11IC2	*((volatile unsigned char *)0xfffff11c)
#define	P11IC3	*((volatile unsigned char *)0xfffff11e)
#define	P12IC0	*((volatile unsigned char *)0xfffff120)
#define	P12IC1	*((volatile unsigned char *)0xfffff122)
#define	P12IC2	*((volatile unsigned char *)0xfffff124)
#define	P12IC3	*((volatile unsigned char *)0xfffff126)
#define	P13IC0	*((volatile unsigned char *)0xfffff128)
#define	P13IC1	*((volatile unsigned char *)0xfffff12a)
#define	P13IC2	*((volatile unsigned char *)0xfffff12c)
#define	P13IC3	*((volatile unsigned char *)0xfffff12e)
#define	P14IC0	*((volatile unsigned char *)0xfffff130)
#define	P14IC1	*((volatile unsigned char *)0xfffff132)
#define	P14IC2	*((volatile unsigned char *)0xfffff134)
#define	P14IC3	*((volatile unsigned char *)0xfffff136)
#define	P15IC0	*((volatile unsigned char *)0xfffff138)
#define	P15IC1	*((volatile unsigned char *)0xfffff13a)
#define	P15IC2	*((volatile unsigned char *)0xfffff13c)
#define	P15IC3	*((volatile unsigned char *)0xfffff13e)
#define	DMAIC0	*((volatile unsigned char *)0xfffff140)
#define	DMAIC1	*((volatile unsigned char *)0xfffff142)
#define	DMAIC2	*((volatile unsigned char *)0xfffff144)
#define	DMAIC3	*((volatile unsigned char *)0xfffff146)
#define	CSIC0	*((volatile unsigned char *)0xfffff148)
#define	CSIC1	*((volatile unsigned char *)0xfffff14a)
#define	CSIC2	*((volatile unsigned char *)0xfffff14c)
#define	CSIC3	*((volatile unsigned char *)0xfffff14e)
#define	SEIC0	*((volatile unsigned char *)0xfffff150)
#define	SRIC0	*((volatile unsigned char *)0xfffff152)
#define	STIC0	*((volatile unsigned char *)0xfffff154)
#define	SEIC1	*((volatile unsigned char *)0xfffff156)
#define	SRIC1	*((volatile unsigned char *)0xfffff158)
#define	STIC1	*((volatile unsigned char *)0xfffff15a)
#define	ADIC	*((volatile unsigned char *)0xfffff15c)
#define	ISPR	*((volatile unsigned char *)0xfffff166)
#define	PRCMD	*((volatile unsigned char *)0xfffff170)
#define	INTM0	*((volatile unsigned char *)0xfffff180)
#define	INTM1	*((volatile unsigned char *)0xfffff182)
#define	INTM2	*((volatile unsigned char *)0xfffff184)
#define	INTM3	*((volatile unsigned char *)0xfffff186)
#define	INTM4	*((volatile unsigned char *)0xfffff188)
#define	INTM5	*((volatile unsigned char *)0xfffff18a)
#define	INTM6	*((volatile unsigned char *)0xfffff18c)
#define	DSA0H	*((volatile unsigned short *)0xfffff1a0)
#define	DSA0L	*((volatile unsigned short *)0xfffff1a2)
#define	DDA0H	*((volatile unsigned short *)0xfffff1a4)
#define	DDA0L	*((volatile unsigned short *)0xfffff1a6)
#define	DSA1H	*((volatile unsigned short *)0xfffff1a8)
#define	DSA1L	*((volatile unsigned short *)0xfffff1aa)
#define	DDA1H	*((volatile unsigned short *)0xfffff1ac)
#define	DDA1L	*((volatile unsigned short *)0xfffff1ae)
#define	DSA2H	*((volatile unsigned short *)0xfffff1b0)
#define	DSA2L	*((volatile unsigned short *)0xfffff1b2)
#define	DDA2H	*((volatile unsigned short *)0xfffff1b4)
#define	DDA2L	*((volatile unsigned short *)0xfffff1b6)
#define	DSA3H	*((volatile unsigned short *)0xfffff1b8)
#define	DSA3L	*((volatile unsigned short *)0xfffff1ba)
#define	DDA3H	*((volatile unsigned short *)0xfffff1bc)
#define	DDA3L	*((volatile unsigned short *)0xfffff1be)
#define	DBC0	*((volatile unsigned short *)0xfffff1e0)
#define	DBC1	*((volatile unsigned short *)0xfffff1e2)
#define	DBC2	*((volatile unsigned short *)0xfffff1e4)
#define	DBC3	*((volatile unsigned short *)0xfffff1e6)
#define	DADC0	*((volatile unsigned short *)0xfffff1f0)
#define	DADC1	*((volatile unsigned short *)0xfffff1f2)
#define	DADC2	*((volatile unsigned short *)0xfffff1f4)
#define	DADC3	*((volatile unsigned short *)0xfffff1f6)
#define	DRC0	*((volatile unsigned short *)0xfffff200)
#define	DRC1	*((volatile unsigned short *)0xfffff202)
#define	DRC2	*((volatile unsigned short *)0xfffff204)
#define	DRC3	*((volatile unsigned short *)0xfffff206)
#define	RFC0	*((volatile unsigned short *)0xfffff210)
#define	RFC1	*((volatile unsigned short *)0xfffff212)
#define	RFC2	*((volatile unsigned short *)0xfffff214)
#define	RFC3	*((volatile unsigned short *)0xfffff216)
#define	RWC	*((volatile unsigned char *)0xfffff218)
#define	DTC	*((volatile unsigned short *)0xfffff220)
#define	PRC	*((volatile unsigned char *)0xfffff224)
#define	TOVS	*((volatile unsigned char *)0xfffff230)
#define	TUM10	*((volatile unsigned short *)0xfffff240)
#define	TMC10	*((volatile unsigned char *)0xfffff242)
#define	TOC10	*((volatile unsigned char *)0xfffff244)
#define	TM10	*((volatile unsigned short *)0xfffff250)
#define	CC100	*((volatile unsigned short *)0xfffff252)
#define	CC101	*((volatile unsigned short *)0xfffff254)
#define	CC102	*((volatile unsigned short *)0xfffff256)
#define	CC103	*((volatile unsigned short *)0xfffff258)
#define	TUM11	*((volatile unsigned short *)0xfffff260)
#define	TMC11	*((volatile unsigned char *)0xfffff262)
#define	TOC11	*((volatile unsigned char *)0xfffff264)
#define	TM11	*((volatile unsigned short *)0xfffff270)
#define	CC110	*((volatile unsigned short *)0xfffff272)
#define	CC111	*((volatile unsigned short *)0xfffff274)
#define	CC112	*((volatile unsigned short *)0xfffff276)
#define	CC113	*((volatile unsigned short *)0xfffff278)
#define	TUM12	*((volatile unsigned short *)0xfffff280)
#define	TMC12	*((volatile unsigned char *)0xfffff282)
#define	TOC12	*((volatile unsigned char *)0xfffff284)
#define	TM12	*((volatile unsigned short *)0xfffff290)
#define	CC120	*((volatile unsigned short *)0xfffff292)
#define	CC121	*((volatile unsigned short *)0xfffff294)
#define	CC122	*((volatile unsigned short *)0xfffff296)
#define	CC123	*((volatile unsigned short *)0xfffff298)
#define	TUM13	*((volatile unsigned short *)0xfffff2a0)
#define	TMC13	*((volatile unsigned char *)0xfffff2a2)
#define	TOC13	*((volatile unsigned char *)0xfffff2a4)
#define	TM13	*((volatile unsigned short *)0xfffff2b0)
#define	CC130	*((volatile unsigned short *)0xfffff2b2)
#define	CC131	*((volatile unsigned short *)0xfffff2b4)
#define	CC132	*((volatile unsigned short *)0xfffff2b6)
#define	CC133	*((volatile unsigned short *)0xfffff2b8)
#define	TUM14	*((volatile unsigned short *)0xfffff2c0)
#define	TMC14	*((volatile unsigned char *)0xfffff2c2)
#define	TOC14	*((volatile unsigned char *)0xfffff2c4)
#define	TM14	*((volatile unsigned short *)0xfffff2d0)
#define	CC140	*((volatile unsigned short *)0xfffff2d2)
#define	CC141	*((volatile unsigned short *)0xfffff2d4)
#define	CC142	*((volatile unsigned short *)0xfffff2d6)
#define	CC143	*((volatile unsigned short *)0xfffff2d8)
#define	TUM15	*((volatile unsigned short *)0xfffff2e0)
#define	TMC15	*((volatile unsigned char *)0xfffff2e2)
#define	TOC15	*((volatile unsigned char *)0xfffff2e4)
#define	TM15	*((volatile unsigned short *)0xfffff2f0)
#define	CC150	*((volatile unsigned short *)0xfffff2f2)
#define	CC151	*((volatile unsigned short *)0xfffff2f4)
#define	CC152	*((volatile unsigned short *)0xfffff2f6)
#define	CC153	*((volatile unsigned short *)0xfffff2f8)
#define	TMC40	*((volatile unsigned char *)0xfffff342)
#define	TMC41	*((volatile unsigned char *)0xfffff346)
#define	TM40	*((volatile unsigned short *)0xfffff350)
#define	CM40	*((volatile unsigned short *)0xfffff352)
#define	TM41	*((volatile unsigned short *)0xfffff354)
#define	CM41	*((volatile unsigned short *)0xfffff356)
#define	ADM0	*((volatile unsigned char *)0xfffff380)
#define	ADM1	*((volatile unsigned char *)0xfffff382)
#define	ADCR0	*((volatile unsigned short *)0xfffff390)
#define	ADCR0H	*((volatile unsigned char *)0xfffff392)
#define	ADCR1	*((volatile unsigned short *)0xfffff394)
#define	ADCR1H	*((volatile unsigned char *)0xfffff396)
#define	ADCR2	*((volatile unsigned short *)0xfffff398)
#define	ADCR2H	*((volatile unsigned char *)0xfffff39a)
#define	ADCR3	*((volatile unsigned short *)0xfffff39c)
#define	ADCR3H	*((volatile unsigned char *)0xfffff39e)
#define	ADCR4	*((volatile unsigned short *)0xfffff3a0)
#define	ADCR4H	*((volatile unsigned char *)0xfffff3a2)
#define	ADCR5	*((volatile unsigned short *)0xfffff3a4)
#define	ADCR5H	*((volatile unsigned char *)0xfffff3a6)
#define	ADCR6	*((volatile unsigned short *)0xfffff3a8)
#define	ADCR6H	*((volatile unsigned char *)0xfffff3aa)
#define	ADCR7	*((volatile unsigned short *)0xfffff3ac)
#define	ADCR7H	*((volatile unsigned char *)0xfffff3ae)
#define	PX	*((volatile unsigned char *)0xfffff41a)
#define	PMX	*((volatile unsigned char *)0xfffff43a)
#define	PMCX	*((volatile unsigned char *)0xfffff45a)
#define	PCS0	*((volatile unsigned char *)0xfffff580)
#define	PCS1	*((volatile unsigned char *)0xfffff582)
#define	PCS3	*((volatile unsigned char *)0xfffff586)
#define	PCS8	*((volatile unsigned char *)0xfffff590)
#define	PCS10	*((volatile unsigned char *)0xfffff594)
#define	PCS11	*((volatile unsigned char *)0xfffff596)
#define	DDIS	*((volatile unsigned char *)0xfffff5d0)
#define	DRST	*((volatile unsigned char *)0xfffff5d2)
#define	DTFR0	*((volatile unsigned char *)0xfffff5e0)
#define	DTFR1	*((volatile unsigned char *)0xfffff5e2)
#define	DTFR2	*((volatile unsigned char *)0xfffff5e4)
#define	DTFR3	*((volatile unsigned char *)0xfffff5e6)
#define	DCHC0	*((volatile unsigned char *)0xfffff5f0)
#define	DCHC1	*((volatile unsigned char *)0xfffff5f2)
#define	DCHC2	*((volatile unsigned char *)0xfffff5f4)
#define	DCHC3	*((volatile unsigned char *)0xfffff5f6)
#define	FLPMC	*((volatile unsigned char *)0xfffff9f4)


/* I/O register bit */

#define	_DW02		((struct bitf *)0xfffff06a)->bit00
#define	_DW12		((struct bitf *)0xfffff06a)->bit01
#define	_DW22		((struct bitf *)0xfffff06a)->bit02
#define	_DW32		((struct bitf *)0xfffff06a)->bit03
#define	_DW42		((struct bitf *)0xfffff06a)->bit04
#define	_DW52		((struct bitf *)0xfffff06a)->bit05
#define	_DW62		((struct bitf *)0xfffff06a)->bit06
#define	_DW72		((struct bitf *)0xfffff06a)->bit07

#define	_STP		((struct bitf *)0xfffff070)->bit01
#define	_IDLE		((struct bitf *)0xfffff070)->bit02
#define	_CESEL		((struct bitf *)0xfffff070)->bit04
#define	_TBCS		((struct bitf *)0xfffff070)->bit05
#define	_DCLK0		((struct bitf *)0xfffff070)->bit06
#define	_DCLK1		((struct bitf *)0xfffff070)->bit07

#define	_CKDIV0		((struct bitf *)0xfffff072)->bit00
#define	_CKDIV1		((struct bitf *)0xfffff072)->bit01

#define	_UNLOCK		((struct bitf *)0xfffff078)->bit00
#define	_PRERR		((struct bitf *)0xfffff078)->bit04

#define	_BRG00		((struct bitf *)0xfffff084)->bit00
#define	_BRG01		((struct bitf *)0xfffff084)->bit01
#define	_BRG02		((struct bitf *)0xfffff084)->bit02
#define	_BRG03		((struct bitf *)0xfffff084)->bit03
#define	_BRG04		((struct bitf *)0xfffff084)->bit04
#define	_BRG05		((struct bitf *)0xfffff084)->bit05
#define	_BRG06		((struct bitf *)0xfffff084)->bit06
#define	_BRG07		((struct bitf *)0xfffff084)->bit07

#define	_BPR00		((struct bitf *)0xfffff086)->bit00
#define	_BPR01		((struct bitf *)0xfffff086)->bit01
#define	_BPR02		((struct bitf *)0xfffff086)->bit02
#define	_BRCE0		((struct bitf *)0xfffff086)->bit07

#define	_CLS00		((struct bitf *)0xfffff088)->bit00
#define	_CLS01		((struct bitf *)0xfffff088)->bit01
#define	_MOD0		((struct bitf *)0xfffff088)->bit02
#define	_CSOT0		((struct bitf *)0xfffff088)->bit05
#define	_CRXE0		((struct bitf *)0xfffff088)->bit06
#define	_CTXE0		((struct bitf *)0xfffff088)->bit07

#define	_BRG10		((struct bitf *)0xfffff094)->bit00
#define	_BRG11		((struct bitf *)0xfffff094)->bit01
#define	_BRG12		((struct bitf *)0xfffff094)->bit02
#define	_BRG13		((struct bitf *)0xfffff094)->bit03
#define	_BRG14		((struct bitf *)0xfffff094)->bit04
#define	_BRG15		((struct bitf *)0xfffff094)->bit05
#define	_BRG16		((struct bitf *)0xfffff094)->bit06
#define	_BRG17		((struct bitf *)0xfffff094)->bit07

#define	_BPR10		((struct bitf *)0xfffff096)->bit00
#define	_BPR11		((struct bitf *)0xfffff096)->bit01
#define	_BPR12		((struct bitf *)0xfffff096)->bit02
#define	_BRCE1		((struct bitf *)0xfffff096)->bit07

#define	_CLS10		((struct bitf *)0xfffff098)->bit00
#define	_CLS11		((struct bitf *)0xfffff098)->bit01
#define	_MOD1		((struct bitf *)0xfffff098)->bit02
#define	_CSOT1		((struct bitf *)0xfffff098)->bit05
#define	_CRXE1		((struct bitf *)0xfffff098)->bit06
#define	_CTXE1		((struct bitf *)0xfffff098)->bit07

#define	_BRG20		((struct bitf *)0xfffff0a4)->bit00
#define	_BRG21		((struct bitf *)0xfffff0a4)->bit01
#define	_BRG22		((struct bitf *)0xfffff0a4)->bit02
#define	_BRG23		((struct bitf *)0xfffff0a4)->bit03
#define	_BRG24		((struct bitf *)0xfffff0a4)->bit04
#define	_BRG25		((struct bitf *)0xfffff0a4)->bit05
#define	_BRG26		((struct bitf *)0xfffff0a4)->bit06
#define	_BRG27		((struct bitf *)0xfffff0a4)->bit07

#define	_BPR20		((struct bitf *)0xfffff0a6)->bit00
#define	_BPR21		((struct bitf *)0xfffff0a6)->bit01
#define	_BPR22		((struct bitf *)0xfffff0a6)->bit02
#define	_BRCE2		((struct bitf *)0xfffff0a6)->bit07

#define	_CLS20		((struct bitf *)0xfffff0a8)->bit00
#define	_CLS21		((struct bitf *)0xfffff0a8)->bit01
#define	_MOD2		((struct bitf *)0xfffff0a8)->bit02
#define	_CSOT2		((struct bitf *)0xfffff0a8)->bit05
#define	_CRXE2		((struct bitf *)0xfffff0a8)->bit06
#define	_CTXE2		((struct bitf *)0xfffff0a8)->bit07

#define	_CLS30		((struct bitf *)0xfffff0b8)->bit00
#define	_CLS31		((struct bitf *)0xfffff0b8)->bit01
#define	_MOD3		((struct bitf *)0xfffff0b8)->bit02
#define	_CSOT3		((struct bitf *)0xfffff0b8)->bit05
#define	_CRXE3		((struct bitf *)0xfffff0b8)->bit06
#define	_CTXE3		((struct bitf *)0xfffff0b8)->bit07

#define	_SCLS00		((struct bitf *)0xfffff0c0)->bit00
#define	_SCLS01		((struct bitf *)0xfffff0c0)->bit01
#define	_SL0		((struct bitf *)0xfffff0c0)->bit02
#define	_CL0		((struct bitf *)0xfffff0c0)->bit03
#define	_PS00		((struct bitf *)0xfffff0c0)->bit04
#define	_PS01		((struct bitf *)0xfffff0c0)->bit05
#define	_RXE0		((struct bitf *)0xfffff0c0)->bit06
#define	_TXE0		((struct bitf *)0xfffff0c0)->bit07

#define	_EBS0		((struct bitf *)0xfffff0c2)->bit00

#define	_OVE0		((struct bitf *)0xfffff0c4)->bit00
#define	_FE0		((struct bitf *)0xfffff0c4)->bit01
#define	_PE0		((struct bitf *)0xfffff0c4)->bit02
#define	_SOT0		((struct bitf *)0xfffff0c4)->bit07

#define	_RXB00		((struct bitf *)0xfffff0ca)->bit00
#define	_RXB01		((struct bitf *)0xfffff0ca)->bit01
#define	_RXB02		((struct bitf *)0xfffff0ca)->bit02
#define	_RXB03		((struct bitf *)0xfffff0ca)->bit03
#define	_RXB04		((struct bitf *)0xfffff0ca)->bit04
#define	_RXB05		((struct bitf *)0xfffff0ca)->bit05
#define	_RXB06		((struct bitf *)0xfffff0ca)->bit06
#define	_RXB07		((struct bitf *)0xfffff0ca)->bit07

#define	_SCLS10		((struct bitf *)0xfffff0d0)->bit00
#define	_SCLS11		((struct bitf *)0xfffff0d0)->bit01
#define	_SL1		((struct bitf *)0xfffff0d0)->bit02
#define	_CL1		((struct bitf *)0xfffff0d0)->bit03
#define	_PS10		((struct bitf *)0xfffff0d0)->bit04
#define	_PS11		((struct bitf *)0xfffff0d0)->bit05
#define	_RXE1		((struct bitf *)0xfffff0d0)->bit06
#define	_TXE1		((struct bitf *)0xfffff0d0)->bit07

#define	_EBS1		((struct bitf *)0xfffff0d2)->bit00

#define	_OVE1		((struct bitf *)0xfffff0d4)->bit00
#define	_FE1		((struct bitf *)0xfffff0d4)->bit01
#define	_PE1		((struct bitf *)0xfffff0d4)->bit02
#define	_SOT1		((struct bitf *)0xfffff0d4)->bit07

#define	_RXB10		((struct bitf *)0xfffff0da)->bit00
#define	_RXB11		((struct bitf *)0xfffff0da)->bit01
#define	_RXB12		((struct bitf *)0xfffff0da)->bit02
#define	_RXB13		((struct bitf *)0xfffff0da)->bit03
#define	_RXB14		((struct bitf *)0xfffff0da)->bit04
#define	_RXB15		((struct bitf *)0xfffff0da)->bit05
#define	_RXB16		((struct bitf *)0xfffff0da)->bit06
#define	_RXB17		((struct bitf *)0xfffff0da)->bit07

#define	_OVPR100		((struct bitf *)0xfffff100)->bit00
#define	_OVPR101		((struct bitf *)0xfffff100)->bit01
#define	_OVPR102		((struct bitf *)0xfffff100)->bit02
#define	_OVMK10		((struct bitf *)0xfffff100)->bit06
#define	_OVIF10		((struct bitf *)0xfffff100)->bit07

#define	_OVPR110		((struct bitf *)0xfffff102)->bit00
#define	_OVPR111		((struct bitf *)0xfffff102)->bit01
#define	_OVPR112		((struct bitf *)0xfffff102)->bit02
#define	_OVMK11		((struct bitf *)0xfffff102)->bit06
#define	_OVIF11		((struct bitf *)0xfffff102)->bit07

#define	_OVPR120		((struct bitf *)0xfffff104)->bit00
#define	_OVPR121		((struct bitf *)0xfffff104)->bit01
#define	_OVPR122		((struct bitf *)0xfffff104)->bit02
#define	_OVMK12		((struct bitf *)0xfffff104)->bit06
#define	_OVIF12		((struct bitf *)0xfffff104)->bit07

#define	_OVPR130		((struct bitf *)0xfffff106)->bit00
#define	_OVPR131		((struct bitf *)0xfffff106)->bit01
#define	_OVPR132		((struct bitf *)0xfffff106)->bit02
#define	_OVMK13		((struct bitf *)0xfffff106)->bit06
#define	_OVIF13		((struct bitf *)0xfffff106)->bit07

#define	_OVPR140		((struct bitf *)0xfffff108)->bit00
#define	_OVPR141		((struct bitf *)0xfffff108)->bit01
#define	_OVPR142		((struct bitf *)0xfffff108)->bit02
#define	_OVMK14		((struct bitf *)0xfffff108)->bit06
#define	_OVIF14		((struct bitf *)0xfffff108)->bit07

#define	_OVPR150		((struct bitf *)0xfffff10a)->bit00
#define	_OVPR151		((struct bitf *)0xfffff10a)->bit01
#define	_OVPR152		((struct bitf *)0xfffff10a)->bit02
#define	_OVMK15		((struct bitf *)0xfffff10a)->bit06
#define	_OVIF15		((struct bitf *)0xfffff10a)->bit07

#define	_CMPR400		((struct bitf *)0xfffff10c)->bit00
#define	_CMPR401		((struct bitf *)0xfffff10c)->bit01
#define	_CMPR402		((struct bitf *)0xfffff10c)->bit02
#define	_CMMK40		((struct bitf *)0xfffff10c)->bit06
#define	_CMIF40		((struct bitf *)0xfffff10c)->bit07

#define	_CMPR410		((struct bitf *)0xfffff10e)->bit00
#define	_CMPR411		((struct bitf *)0xfffff10e)->bit01
#define	_CMPR412		((struct bitf *)0xfffff10e)->bit02
#define	_CMMK41		((struct bitf *)0xfffff10e)->bit06
#define	_CMIF41		((struct bitf *)0xfffff10e)->bit07

#define	_P10PR00		((struct bitf *)0xfffff110)->bit00
#define	_P10PR01		((struct bitf *)0xfffff110)->bit01
#define	_P10PR02		((struct bitf *)0xfffff110)->bit02
#define	_P10MK0		((struct bitf *)0xfffff110)->bit06
#define	_P10IF0		((struct bitf *)0xfffff110)->bit07

#define	_P10PR10		((struct bitf *)0xfffff112)->bit00
#define	_P10PR11		((struct bitf *)0xfffff112)->bit01
#define	_P10PR12		((struct bitf *)0xfffff112)->bit02
#define	_P10MK1		((struct bitf *)0xfffff112)->bit06
#define	_P10IF1		((struct bitf *)0xfffff112)->bit07

#define	_P10PR20		((struct bitf *)0xfffff114)->bit00
#define	_P10PR21		((struct bitf *)0xfffff114)->bit01
#define	_P10PR22		((struct bitf *)0xfffff114)->bit02
#define	_P10MK2		((struct bitf *)0xfffff114)->bit06
#define	_P10IF2		((struct bitf *)0xfffff114)->bit07

#define	_P10PR30		((struct bitf *)0xfffff116)->bit00
#define	_P10PR31		((struct bitf *)0xfffff116)->bit01
#define	_P10PR32		((struct bitf *)0xfffff116)->bit02
#define	_P10MK3		((struct bitf *)0xfffff116)->bit06
#define	_P10IF3		((struct bitf *)0xfffff116)->bit07

#define	_P11PR00		((struct bitf *)0xfffff118)->bit00
#define	_P11PR01		((struct bitf *)0xfffff118)->bit01
#define	_P11PR02		((struct bitf *)0xfffff118)->bit02
#define	_P11MK0		((struct bitf *)0xfffff118)->bit06
#define	_P11IF0		((struct bitf *)0xfffff118)->bit07

#define	_P11PR10		((struct bitf *)0xfffff11a)->bit00
#define	_P11PR11		((struct bitf *)0xfffff11a)->bit01
#define	_P11PR12		((struct bitf *)0xfffff11a)->bit02
#define	_P11MK1		((struct bitf *)0xfffff11a)->bit06
#define	_P11IF1		((struct bitf *)0xfffff11a)->bit07

#define	_P11PR20		((struct bitf *)0xfffff11c)->bit00
#define	_P11PR21		((struct bitf *)0xfffff11c)->bit01
#define	_P11PR22		((struct bitf *)0xfffff11c)->bit02
#define	_P11MK2		((struct bitf *)0xfffff11c)->bit06
#define	_P11IF2		((struct bitf *)0xfffff11c)->bit07

#define	_P11PR30		((struct bitf *)0xfffff11e)->bit00
#define	_P11PR31		((struct bitf *)0xfffff11e)->bit01
#define	_P11PR32		((struct bitf *)0xfffff11e)->bit02
#define	_P11MK3		((struct bitf *)0xfffff11e)->bit06
#define	_P11IF3		((struct bitf *)0xfffff11e)->bit07

#define	_P12PR00		((struct bitf *)0xfffff120)->bit00
#define	_P12PR01		((struct bitf *)0xfffff120)->bit01
#define	_P12PR02		((struct bitf *)0xfffff120)->bit02
#define	_P12MK0		((struct bitf *)0xfffff120)->bit06
#define	_P12IF0		((struct bitf *)0xfffff120)->bit07

#define	_P12PR10		((struct bitf *)0xfffff122)->bit00
#define	_P12PR11		((struct bitf *)0xfffff122)->bit01
#define	_P12PR12		((struct bitf *)0xfffff122)->bit02
#define	_P12MK1		((struct bitf *)0xfffff122)->bit06
#define	_P12IF1		((struct bitf *)0xfffff122)->bit07

#define	_P12PR20		((struct bitf *)0xfffff124)->bit00
#define	_P12PR21		((struct bitf *)0xfffff124)->bit01
#define	_P12PR22		((struct bitf *)0xfffff124)->bit02
#define	_P12MK2		((struct bitf *)0xfffff124)->bit06
#define	_P12IF2		((struct bitf *)0xfffff124)->bit07

#define	_P12PR30		((struct bitf *)0xfffff126)->bit00
#define	_P12PR31		((struct bitf *)0xfffff126)->bit01
#define	_P12PR32		((struct bitf *)0xfffff126)->bit02
#define	_P12MK3		((struct bitf *)0xfffff126)->bit06
#define	_P12IF3		((struct bitf *)0xfffff126)->bit07

#define	_P13PR00		((struct bitf *)0xfffff128)->bit00
#define	_P13PR01		((struct bitf *)0xfffff128)->bit01
#define	_P13PR02		((struct bitf *)0xfffff128)->bit02
#define	_P13MK0		((struct bitf *)0xfffff128)->bit06
#define	_P13IF0		((struct bitf *)0xfffff128)->bit07

#define	_P13PR10		((struct bitf *)0xfffff12a)->bit00
#define	_P13PR11		((struct bitf *)0xfffff12a)->bit01
#define	_P13PR12		((struct bitf *)0xfffff12a)->bit02
#define	_P13MK1		((struct bitf *)0xfffff12a)->bit06
#define	_P13IF1		((struct bitf *)0xfffff12a)->bit07

#define	_P13PR20		((struct bitf *)0xfffff12c)->bit00
#define	_P13PR21		((struct bitf *)0xfffff12c)->bit01
#define	_P13PR22		((struct bitf *)0xfffff12c)->bit02
#define	_P13MK2		((struct bitf *)0xfffff12c)->bit06
#define	_P13IF2		((struct bitf *)0xfffff12c)->bit07

#define	_P13PR30		((struct bitf *)0xfffff12e)->bit00
#define	_P13PR31		((struct bitf *)0xfffff12e)->bit01
#define	_P13PR32		((struct bitf *)0xfffff12e)->bit02
#define	_P13MK3		((struct bitf *)0xfffff12e)->bit06
#define	_P13IF3		((struct bitf *)0xfffff12e)->bit07

#define	_P14PR00		((struct bitf *)0xfffff130)->bit00
#define	_P14PR01		((struct bitf *)0xfffff130)->bit01
#define	_P14PR02		((struct bitf *)0xfffff130)->bit02
#define	_P14MK0		((struct bitf *)0xfffff130)->bit06
#define	_P14IF0		((struct bitf *)0xfffff130)->bit07

#define	_P14PR10		((struct bitf *)0xfffff132)->bit00
#define	_P14PR11		((struct bitf *)0xfffff132)->bit01
#define	_P14PR12		((struct bitf *)0xfffff132)->bit02
#define	_P14MK1		((struct bitf *)0xfffff132)->bit06
#define	_P14IF1		((struct bitf *)0xfffff132)->bit07

#define	_P14PR20		((struct bitf *)0xfffff134)->bit00
#define	_P14PR21		((struct bitf *)0xfffff134)->bit01
#define	_P14PR22		((struct bitf *)0xfffff134)->bit02
#define	_P14MK2		((struct bitf *)0xfffff134)->bit06
#define	_P14IF2		((struct bitf *)0xfffff134)->bit07

#define	_P14PR30		((struct bitf *)0xfffff136)->bit00
#define	_P14PR31		((struct bitf *)0xfffff136)->bit01
#define	_P14PR32		((struct bitf *)0xfffff136)->bit02
#define	_P14MK3		((struct bitf *)0xfffff136)->bit06
#define	_P14IF3		((struct bitf *)0xfffff136)->bit07

#define	_P15PR00		((struct bitf *)0xfffff138)->bit00
#define	_P15PR01		((struct bitf *)0xfffff138)->bit01
#define	_P15PR02		((struct bitf *)0xfffff138)->bit02
#define	_P15MK0		((struct bitf *)0xfffff138)->bit06
#define	_P15IF0		((struct bitf *)0xfffff138)->bit07

#define	_P15PR10		((struct bitf *)0xfffff13a)->bit00
#define	_P15PR11		((struct bitf *)0xfffff13a)->bit01
#define	_P15PR12		((struct bitf *)0xfffff13a)->bit02
#define	_P15MK1		((struct bitf *)0xfffff13a)->bit06
#define	_P15IF1		((struct bitf *)0xfffff13a)->bit07

#define	_P15PR20		((struct bitf *)0xfffff13c)->bit00
#define	_P15PR21		((struct bitf *)0xfffff13c)->bit01
#define	_P15PR22		((struct bitf *)0xfffff13c)->bit02
#define	_P15MK2		((struct bitf *)0xfffff13c)->bit06
#define	_P15IF2		((struct bitf *)0xfffff13c)->bit07

#define	_P15PR30		((struct bitf *)0xfffff13e)->bit00
#define	_P15PR31		((struct bitf *)0xfffff13e)->bit01
#define	_P15PR32		((struct bitf *)0xfffff13e)->bit02
#define	_P15MK3		((struct bitf *)0xfffff13e)->bit06
#define	_P15IF3		((struct bitf *)0xfffff13e)->bit07

#define	_DMAPR00		((struct bitf *)0xfffff140)->bit00
#define	_DMAPR01		((struct bitf *)0xfffff140)->bit01
#define	_DMAPR02		((struct bitf *)0xfffff140)->bit02
#define	_DMAMK0		((struct bitf *)0xfffff140)->bit06
#define	_DMAIF0		((struct bitf *)0xfffff140)->bit07

#define	_DMAPR10		((struct bitf *)0xfffff142)->bit00
#define	_DMAPR11		((struct bitf *)0xfffff142)->bit01
#define	_DMAPR12		((struct bitf *)0xfffff142)->bit02
#define	_DMAMK1		((struct bitf *)0xfffff142)->bit06
#define	_DMAIF1		((struct bitf *)0xfffff142)->bit07

#define	_DMAPR20		((struct bitf *)0xfffff144)->bit00
#define	_DMAPR21		((struct bitf *)0xfffff144)->bit01
#define	_DMAPR22		((struct bitf *)0xfffff144)->bit02
#define	_DMAMK2		((struct bitf *)0xfffff144)->bit06
#define	_DMAIF2		((struct bitf *)0xfffff144)->bit07

#define	_DMAPR30		((struct bitf *)0xfffff146)->bit00
#define	_DMAPR31		((struct bitf *)0xfffff146)->bit01
#define	_DMAPR32		((struct bitf *)0xfffff146)->bit02
#define	_DMAMK3		((struct bitf *)0xfffff146)->bit06
#define	_DMAIF3		((struct bitf *)0xfffff146)->bit07

#define	_CSPR00		((struct bitf *)0xfffff148)->bit00
#define	_CSPR01		((struct bitf *)0xfffff148)->bit01
#define	_CSPR02		((struct bitf *)0xfffff148)->bit02
#define	_CSMK0		((struct bitf *)0xfffff148)->bit06
#define	_CSIF0		((struct bitf *)0xfffff148)->bit07

#define	_CSPR10		((struct bitf *)0xfffff14a)->bit00
#define	_CSPR11		((struct bitf *)0xfffff14a)->bit01
#define	_CSPR12		((struct bitf *)0xfffff14a)->bit02
#define	_CSMK1		((struct bitf *)0xfffff14a)->bit06
#define	_CSIF1		((struct bitf *)0xfffff14a)->bit07

#define	_CSPR20		((struct bitf *)0xfffff14c)->bit00
#define	_CSPR21		((struct bitf *)0xfffff14c)->bit01
#define	_CSPR22		((struct bitf *)0xfffff14c)->bit02
#define	_CSMK2		((struct bitf *)0xfffff14c)->bit06
#define	_CSIF2		((struct bitf *)0xfffff14c)->bit07

#define	_CSPR30		((struct bitf *)0xfffff14e)->bit00
#define	_CSPR31		((struct bitf *)0xfffff14e)->bit01
#define	_CSPR32		((struct bitf *)0xfffff14e)->bit02
#define	_CSMK3		((struct bitf *)0xfffff14e)->bit06
#define	_CSIF3		((struct bitf *)0xfffff14e)->bit07

#define	_SEPR00		((struct bitf *)0xfffff150)->bit00
#define	_SEPR01		((struct bitf *)0xfffff150)->bit01
#define	_SEPR02		((struct bitf *)0xfffff150)->bit02
#define	_SEMK0		((struct bitf *)0xfffff150)->bit06
#define	_SEIF0		((struct bitf *)0xfffff150)->bit07

#define	_SRPR00		((struct bitf *)0xfffff152)->bit00
#define	_SRPR01		((struct bitf *)0xfffff152)->bit01
#define	_SRPR02		((struct bitf *)0xfffff152)->bit02
#define	_SRMK0		((struct bitf *)0xfffff152)->bit06
#define	_SRIF0		((struct bitf *)0xfffff152)->bit07

#define	_STPR00		((struct bitf *)0xfffff154)->bit00
#define	_STPR01		((struct bitf *)0xfffff154)->bit01
#define	_STPR02		((struct bitf *)0xfffff154)->bit02
#define	_STMK0		((struct bitf *)0xfffff154)->bit06
#define	_STIF0		((struct bitf *)0xfffff154)->bit07

#define	_SEPR10		((struct bitf *)0xfffff156)->bit00
#define	_SEPR11		((struct bitf *)0xfffff156)->bit01
#define	_SEPR12		((struct bitf *)0xfffff156)->bit02
#define	_SEMK1		((struct bitf *)0xfffff156)->bit06
#define	_SEIF1		((struct bitf *)0xfffff156)->bit07

#define	_SRPR10		((struct bitf *)0xfffff158)->bit00
#define	_SRPR11		((struct bitf *)0xfffff158)->bit01
#define	_SRPR12		((struct bitf *)0xfffff158)->bit02
#define	_SRMK1		((struct bitf *)0xfffff158)->bit06
#define	_SRIF1		((struct bitf *)0xfffff158)->bit07

#define	_STPR10		((struct bitf *)0xfffff15a)->bit00
#define	_STPR11		((struct bitf *)0xfffff15a)->bit01
#define	_STPR12		((struct bitf *)0xfffff15a)->bit02
#define	_STMK1		((struct bitf *)0xfffff15a)->bit06
#define	_STIF1		((struct bitf *)0xfffff15a)->bit07

#define	_ADPR0		((struct bitf *)0xfffff15c)->bit00
#define	_ADPR1		((struct bitf *)0xfffff15c)->bit01
#define	_ADPR2		((struct bitf *)0xfffff15c)->bit02
#define	_ADMK		((struct bitf *)0xfffff15c)->bit06
#define	_ADIF		((struct bitf *)0xfffff15c)->bit07

#define	_ESN0		((struct bitf *)0xfffff180)->bit00

#define	_ES000		((struct bitf *)0xfffff182)->bit00
#define	_ES001		((struct bitf *)0xfffff182)->bit01
#define	_ES010		((struct bitf *)0xfffff182)->bit02
#define	_ES011		((struct bitf *)0xfffff182)->bit03
#define	_ES020		((struct bitf *)0xfffff182)->bit04
#define	_ES021		((struct bitf *)0xfffff182)->bit05
#define	_ES030		((struct bitf *)0xfffff182)->bit06
#define	_ES031		((struct bitf *)0xfffff182)->bit07

#define	_ES100		((struct bitf *)0xfffff184)->bit00
#define	_ES101		((struct bitf *)0xfffff184)->bit01
#define	_ES110		((struct bitf *)0xfffff184)->bit02
#define	_ES111		((struct bitf *)0xfffff184)->bit03
#define	_ES120		((struct bitf *)0xfffff184)->bit04
#define	_ES121		((struct bitf *)0xfffff184)->bit05
#define	_ES130		((struct bitf *)0xfffff184)->bit06
#define	_ES131		((struct bitf *)0xfffff184)->bit07

#define	_ES200		((struct bitf *)0xfffff186)->bit00
#define	_ES201		((struct bitf *)0xfffff186)->bit01
#define	_ES210		((struct bitf *)0xfffff186)->bit02
#define	_ES211		((struct bitf *)0xfffff186)->bit03
#define	_ES220		((struct bitf *)0xfffff186)->bit04
#define	_ES221		((struct bitf *)0xfffff186)->bit05
#define	_ES230		((struct bitf *)0xfffff186)->bit06
#define	_ES231		((struct bitf *)0xfffff186)->bit07

#define	_ES300		((struct bitf *)0xfffff188)->bit00
#define	_ES301		((struct bitf *)0xfffff188)->bit01
#define	_ES310		((struct bitf *)0xfffff188)->bit02
#define	_ES311		((struct bitf *)0xfffff188)->bit03
#define	_ES320		((struct bitf *)0xfffff188)->bit04
#define	_ES321		((struct bitf *)0xfffff188)->bit05
#define	_ES330		((struct bitf *)0xfffff188)->bit06
#define	_ES331		((struct bitf *)0xfffff188)->bit07

#define	_ES400		((struct bitf *)0xfffff18a)->bit00
#define	_ES401		((struct bitf *)0xfffff18a)->bit01
#define	_ES410		((struct bitf *)0xfffff18a)->bit02
#define	_ES411		((struct bitf *)0xfffff18a)->bit03
#define	_ES420		((struct bitf *)0xfffff18a)->bit04
#define	_ES421		((struct bitf *)0xfffff18a)->bit05
#define	_ES430		((struct bitf *)0xfffff18a)->bit06
#define	_ES431		((struct bitf *)0xfffff18a)->bit07

#define	_ES500		((struct bitf *)0xfffff18c)->bit00
#define	_ES501		((struct bitf *)0xfffff18c)->bit01
#define	_ES510		((struct bitf *)0xfffff18c)->bit02
#define	_ES511		((struct bitf *)0xfffff18c)->bit03
#define	_ES520		((struct bitf *)0xfffff18c)->bit04
#define	_ES521		((struct bitf *)0xfffff18c)->bit05
#define	_ES530		((struct bitf *)0xfffff18c)->bit06
#define	_ES531		((struct bitf *)0xfffff18c)->bit07

#define	_SRW0		((struct bitf *)0xfffff218)->bit00
#define	_SRW1		((struct bitf *)0xfffff218)->bit01
#define	_SRW2		((struct bitf *)0xfffff218)->bit02
#define	_RCW0		((struct bitf *)0xfffff218)->bit03
#define	_RCW1		((struct bitf *)0xfffff218)->bit04
#define	_RCW2		((struct bitf *)0xfffff218)->bit05
#define	_RRW0		((struct bitf *)0xfffff218)->bit06
#define	_RRW1		((struct bitf *)0xfffff218)->bit07

#define	_MA3		((struct bitf *)0xfffff224)->bit00
#define	_MA4		((struct bitf *)0xfffff224)->bit01
#define	_MA5		((struct bitf *)0xfffff224)->bit02
#define	_PRW0		((struct bitf *)0xfffff224)->bit04
#define	_PRW1		((struct bitf *)0xfffff224)->bit05
#define	_PRW2		((struct bitf *)0xfffff224)->bit06
#define	_PAE		((struct bitf *)0xfffff224)->bit07

#define	_OVF10		((struct bitf *)0xfffff230)->bit00
#define	_OVF11		((struct bitf *)0xfffff230)->bit01
#define	_OVF12		((struct bitf *)0xfffff230)->bit02
#define	_OVF13		((struct bitf *)0xfffff230)->bit03
#define	_OVF14		((struct bitf *)0xfffff230)->bit04
#define	_OVF15		((struct bitf *)0xfffff230)->bit05
#define	_OVF40		((struct bitf *)0xfffff230)->bit06
#define	_OVF41		((struct bitf *)0xfffff230)->bit07

#define	_PRM101		((struct bitf *)0xfffff242)->bit01
#define	_PRS100		((struct bitf *)0xfffff242)->bit02
#define	_PRS101		((struct bitf *)0xfffff242)->bit03
#define	_ETI10		((struct bitf *)0xfffff242)->bit04
#define	_CE10		((struct bitf *)0xfffff242)->bit07

#define	_ALV100		((struct bitf *)0xfffff244)->bit04
#define	_ENTO100		((struct bitf *)0xfffff244)->bit05
#define	_ALV101		((struct bitf *)0xfffff244)->bit06
#define	_ENTO101		((struct bitf *)0xfffff244)->bit07

#define	_PRM111		((struct bitf *)0xfffff262)->bit01
#define	_PRS110		((struct bitf *)0xfffff262)->bit02
#define	_PRS111		((struct bitf *)0xfffff262)->bit03
#define	_ETI11		((struct bitf *)0xfffff262)->bit04
#define	_CE11		((struct bitf *)0xfffff262)->bit07

#define	_ALV110		((struct bitf *)0xfffff264)->bit04
#define	_ENTO110		((struct bitf *)0xfffff264)->bit05
#define	_ALV111		((struct bitf *)0xfffff264)->bit06
#define	_ENTO111		((struct bitf *)0xfffff264)->bit07

#define	_PRM121		((struct bitf *)0xfffff282)->bit01
#define	_PRS120		((struct bitf *)0xfffff282)->bit02
#define	_PRS121		((struct bitf *)0xfffff282)->bit03
#define	_ETI12		((struct bitf *)0xfffff282)->bit04
#define	_CE12		((struct bitf *)0xfffff282)->bit07

#define	_ALV120		((struct bitf *)0xfffff284)->bit04
#define	_ENTO120		((struct bitf *)0xfffff284)->bit05
#define	_ALV121		((struct bitf *)0xfffff284)->bit06
#define	_ENTO121		((struct bitf *)0xfffff284)->bit07

#define	_PRM131		((struct bitf *)0xfffff2a2)->bit01
#define	_PRS130		((struct bitf *)0xfffff2a2)->bit02
#define	_PRS131		((struct bitf *)0xfffff2a2)->bit03
#define	_ETI13		((struct bitf *)0xfffff2a2)->bit04
#define	_CE13		((struct bitf *)0xfffff2a2)->bit07

#define	_ALV130		((struct bitf *)0xfffff2a4)->bit04
#define	_ENTO130		((struct bitf *)0xfffff2a4)->bit05
#define	_ALV131		((struct bitf *)0xfffff2a4)->bit06
#define	_ENTO131		((struct bitf *)0xfffff2a4)->bit07

#define	_PRM141		((struct bitf *)0xfffff2c2)->bit01
#define	_PRS140		((struct bitf *)0xfffff2c2)->bit02
#define	_PRS141		((struct bitf *)0xfffff2c2)->bit03
#define	_ETI14		((struct bitf *)0xfffff2c2)->bit04
#define	_CE14		((struct bitf *)0xfffff2c2)->bit07

#define	_ALV140		((struct bitf *)0xfffff2c4)->bit04
#define	_ENTO140		((struct bitf *)0xfffff2c4)->bit05
#define	_ALV141		((struct bitf *)0xfffff2c4)->bit06
#define	_ENTO141		((struct bitf *)0xfffff2c4)->bit07

#define	_PRM151		((struct bitf *)0xfffff2e2)->bit01
#define	_PRS150		((struct bitf *)0xfffff2e2)->bit02
#define	_PRS151		((struct bitf *)0xfffff2e2)->bit03
#define	_ETI15		((struct bitf *)0xfffff2e2)->bit04
#define	_CE15		((struct bitf *)0xfffff2e2)->bit07

#define	_ALV150		((struct bitf *)0xfffff2e4)->bit04
#define	_ENTO150		((struct bitf *)0xfffff2e4)->bit05
#define	_ALV151		((struct bitf *)0xfffff2e4)->bit06
#define	_ENTO151		((struct bitf *)0xfffff2e4)->bit07

#define	_PRM400		((struct bitf *)0xfffff342)->bit00
#define	_PRM401		((struct bitf *)0xfffff342)->bit01
#define	_PRS400		((struct bitf *)0xfffff342)->bit02
#define	_CE40		((struct bitf *)0xfffff342)->bit07

#define	_PRM410		((struct bitf *)0xfffff346)->bit00
#define	_PRM411		((struct bitf *)0xfffff346)->bit01
#define	_PRS410		((struct bitf *)0xfffff346)->bit02
#define	_CE41		((struct bitf *)0xfffff346)->bit07

#define	_ANIS0		((struct bitf *)0xfffff380)->bit00
#define	_ANIS1		((struct bitf *)0xfffff380)->bit01
#define	_ANIS2		((struct bitf *)0xfffff380)->bit02
#define	_MS		((struct bitf *)0xfffff380)->bit04
#define	_BS		((struct bitf *)0xfffff380)->bit05
#define	_CS		((struct bitf *)0xfffff380)->bit06
#define	_CE		((struct bitf *)0xfffff380)->bit07

#define	_FR0		((struct bitf *)0xfffff382)->bit00
#define	_FR1		((struct bitf *)0xfffff382)->bit01
#define	_FR2		((struct bitf *)0xfffff382)->bit02
#define	_TRG0		((struct bitf *)0xfffff382)->bit04
#define	_TRG1		((struct bitf *)0xfffff382)->bit05
#define	_TRG2		((struct bitf *)0xfffff382)->bit06

#define	_AD02		((struct bitf *)0xfffff392)->bit00
#define	_AD03		((struct bitf *)0xfffff392)->bit01
#define	_AD04		((struct bitf *)0xfffff392)->bit02
#define	_AD05		((struct bitf *)0xfffff392)->bit03
#define	_AD06		((struct bitf *)0xfffff392)->bit04
#define	_AD07		((struct bitf *)0xfffff392)->bit05
#define	_AD08		((struct bitf *)0xfffff392)->bit06
#define	_AD09		((struct bitf *)0xfffff392)->bit07

#define	_AD12		((struct bitf *)0xfffff396)->bit00
#define	_AD13		((struct bitf *)0xfffff396)->bit01
#define	_AD14		((struct bitf *)0xfffff396)->bit02
#define	_AD15		((struct bitf *)0xfffff396)->bit03
#define	_AD16		((struct bitf *)0xfffff396)->bit04
#define	_AD17		((struct bitf *)0xfffff396)->bit05
#define	_AD18		((struct bitf *)0xfffff396)->bit06
#define	_AD19		((struct bitf *)0xfffff396)->bit07

#define	_AD22		((struct bitf *)0xfffff39a)->bit00
#define	_AD23		((struct bitf *)0xfffff39a)->bit01
#define	_AD24		((struct bitf *)0xfffff39a)->bit02
#define	_AD25		((struct bitf *)0xfffff39a)->bit03
#define	_AD26		((struct bitf *)0xfffff39a)->bit04
#define	_AD27		((struct bitf *)0xfffff39a)->bit05
#define	_AD28		((struct bitf *)0xfffff39a)->bit06
#define	_AD29		((struct bitf *)0xfffff39a)->bit07

#define	_AD32		((struct bitf *)0xfffff39e)->bit00
#define	_AD33		((struct bitf *)0xfffff39e)->bit01
#define	_AD34		((struct bitf *)0xfffff39e)->bit02
#define	_AD35		((struct bitf *)0xfffff39e)->bit03
#define	_AD36		((struct bitf *)0xfffff39e)->bit04
#define	_AD37		((struct bitf *)0xfffff39e)->bit05
#define	_AD38		((struct bitf *)0xfffff39e)->bit06
#define	_AD39		((struct bitf *)0xfffff39e)->bit07

#define	_AD42		((struct bitf *)0xfffff3a2)->bit00
#define	_AD43		((struct bitf *)0xfffff3a2)->bit01
#define	_AD44		((struct bitf *)0xfffff3a2)->bit02
#define	_AD45		((struct bitf *)0xfffff3a2)->bit03
#define	_AD46		((struct bitf *)0xfffff3a2)->bit04
#define	_AD47		((struct bitf *)0xfffff3a2)->bit05
#define	_AD48		((struct bitf *)0xfffff3a2)->bit06
#define	_AD49		((struct bitf *)0xfffff3a2)->bit07

#define	_AD52		((struct bitf *)0xfffff3a6)->bit00
#define	_AD53		((struct bitf *)0xfffff3a6)->bit01
#define	_AD54		((struct bitf *)0xfffff3a6)->bit02
#define	_AD55		((struct bitf *)0xfffff3a6)->bit03
#define	_AD56		((struct bitf *)0xfffff3a6)->bit04
#define	_AD57		((struct bitf *)0xfffff3a6)->bit05
#define	_AD58		((struct bitf *)0xfffff3a6)->bit06
#define	_AD59		((struct bitf *)0xfffff3a6)->bit07

#define	_AD62		((struct bitf *)0xfffff3aa)->bit00
#define	_AD63		((struct bitf *)0xfffff3aa)->bit01
#define	_AD64		((struct bitf *)0xfffff3aa)->bit02
#define	_AD65		((struct bitf *)0xfffff3aa)->bit03
#define	_AD66		((struct bitf *)0xfffff3aa)->bit04
#define	_AD67		((struct bitf *)0xfffff3aa)->bit05
#define	_AD68		((struct bitf *)0xfffff3aa)->bit06
#define	_AD69		((struct bitf *)0xfffff3aa)->bit07

#define	_AD72		((struct bitf *)0xfffff3ae)->bit00
#define	_AD73		((struct bitf *)0xfffff3ae)->bit01
#define	_AD74		((struct bitf *)0xfffff3ae)->bit02
#define	_AD75		((struct bitf *)0xfffff3ae)->bit03
#define	_AD76		((struct bitf *)0xfffff3ae)->bit04
#define	_AD77		((struct bitf *)0xfffff3ae)->bit05
#define	_AD78		((struct bitf *)0xfffff3ae)->bit06
#define	_AD79		((struct bitf *)0xfffff3ae)->bit07

#define	_CH0		((struct bitf *)0xfffff5d0)->bit00
#define	_CH1		((struct bitf *)0xfffff5d0)->bit01
#define	_CH2		((struct bitf *)0xfffff5d0)->bit02
#define	_CH3		((struct bitf *)0xfffff5d0)->bit03

#define	_REN0		((struct bitf *)0xfffff5d2)->bit00
#define	_REN1		((struct bitf *)0xfffff5d2)->bit01
#define	_REN2		((struct bitf *)0xfffff5d2)->bit02
#define	_REN3		((struct bitf *)0xfffff5d2)->bit03

#define	_IFC00		((struct bitf *)0xfffff5e0)->bit00
#define	_IFC01		((struct bitf *)0xfffff5e0)->bit01
#define	_IFC02		((struct bitf *)0xfffff5e0)->bit02
#define	_IFC03		((struct bitf *)0xfffff5e0)->bit03
#define	_IFC04		((struct bitf *)0xfffff5e0)->bit04
#define	_IFC05		((struct bitf *)0xfffff5e0)->bit05

#define	_IFC10		((struct bitf *)0xfffff5e2)->bit00
#define	_IFC11		((struct bitf *)0xfffff5e2)->bit01
#define	_IFC12		((struct bitf *)0xfffff5e2)->bit02
#define	_IFC13		((struct bitf *)0xfffff5e2)->bit03
#define	_IFC14		((struct bitf *)0xfffff5e2)->bit04
#define	_IFC15		((struct bitf *)0xfffff5e2)->bit05

#define	_IFC20		((struct bitf *)0xfffff5e4)->bit00
#define	_IFC21		((struct bitf *)0xfffff5e4)->bit01
#define	_IFC22		((struct bitf *)0xfffff5e4)->bit02
#define	_IFC23		((struct bitf *)0xfffff5e4)->bit03
#define	_IFC24		((struct bitf *)0xfffff5e4)->bit04
#define	_IFC25		((struct bitf *)0xfffff5e4)->bit05

#define	_IFC30		((struct bitf *)0xfffff5e6)->bit00
#define	_IFC31		((struct bitf *)0xfffff5e6)->bit01
#define	_IFC32		((struct bitf *)0xfffff5e6)->bit02
#define	_IFC33		((struct bitf *)0xfffff5e6)->bit03
#define	_IFC34		((struct bitf *)0xfffff5e6)->bit04
#define	_IFC35		((struct bitf *)0xfffff5e6)->bit05

#define	_EN0		((struct bitf *)0xfffff5f0)->bit00
#define	_STG0		((struct bitf *)0xfffff5f0)->bit01
#define	_INIT0		((struct bitf *)0xfffff5f0)->bit02
#define	_TC0		((struct bitf *)0xfffff5f0)->bit07

#define	_EN1		((struct bitf *)0xfffff5f2)->bit00
#define	_STG1		((struct bitf *)0xfffff5f2)->bit01
#define	_INIT1		((struct bitf *)0xfffff5f2)->bit02
#define	_TC1		((struct bitf *)0xfffff5f2)->bit07

#define	_EN2		((struct bitf *)0xfffff5f4)->bit00
#define	_STG2		((struct bitf *)0xfffff5f4)->bit01
#define	_INIT2		((struct bitf *)0xfffff5f4)->bit02
#define	_TC2		((struct bitf *)0xfffff5f4)->bit07

#define	_EN3		((struct bitf *)0xfffff5f6)->bit00
#define	_STG3		((struct bitf *)0xfffff5f6)->bit01
#define	_INIT3		((struct bitf *)0xfffff5f6)->bit02
#define	_TC3		((struct bitf *)0xfffff5f6)->bit07

#define	_FLSPM		((struct bitf *)0xfffff9f4)->bit01
#define	_VPP		((struct bitf *)0xfffff9f4)->bit02
#define	_VPPDIS		((struct bitf *)0xfffff9f4)->bit03
