/*********************************************************************
 *	         - ..\df\D3116.h -                                                 
 *                                                                      
 *	NEC V850 microcontroller device uPD703116
 *                                                                      
 *	Declarations of I/O Registers                                  
 *                                                                      
 *                                                                      
 *  Copyright (C) NEC Corporation 2001 
 *	..\df\D3116.h created from device file ..\df\D3116.800 [V1.20]
 *	Include file generator V1.03a
 *                                                                      
 *	This file is only intended as a sample supplement to NEC tools.     
 *  Feel free to adapt it to your own needs.                            
 *  This File is provided 'as is' without warranty of any kind.         
 *  Neither NEC nor their sales representatives can be held liable      
 *  of any inconvenience or problem caused by its contents.             
 ********************************************************************/

#ifndef __uPD703116_H
#define __uPD703116_H

struct bitf {
	unsigned char bit00:1;
	unsigned char bit01:1;
	unsigned char bit02:1;
	unsigned char bit03:1;
	unsigned char bit04:1;
	unsigned char bit05:1;
	unsigned char bit06:1;
	unsigned char bit07:1;
	unsigned char bit08:1;
	unsigned char bit09:1;
	unsigned char bit10:1;
	unsigned char bit11:1;
	unsigned char bit12:1;
	unsigned char bit13:1;
	unsigned char bit14:1;
	unsigned char bit15:1;
};


/* I/O register */

#define	PDL     	*((volatile unsigned short *)0xfffff004)
#define	PDLL    	*((volatile unsigned char  *)0xfffff004)
#define	PDLH    	*((volatile unsigned char  *)0xfffff005)
#define	PDH     	*((volatile unsigned char  *)0xfffff006)
#define	PCS     	*((volatile unsigned char  *)0xfffff008)
#define	PCT     	*((volatile unsigned char  *)0xfffff00a)
#define	PCM     	*((volatile unsigned char  *)0xfffff00c)
#define	PMDL    	*((volatile unsigned short *)0xfffff024)
#define	PMDLL   	*((volatile unsigned char  *)0xfffff024)
#define	PMDLH   	*((volatile unsigned char  *)0xfffff025)
#define	PMDH    	*((volatile unsigned char  *)0xfffff026)
#define	PMCS    	*((volatile unsigned char  *)0xfffff028)
#define	PMCT    	*((volatile unsigned char  *)0xfffff02a)
#define	PMCM    	*((volatile unsigned char  *)0xfffff02c)
#define	PMCDL   	*((volatile unsigned short *)0xfffff044)
#define	PMCDLL  	*((volatile unsigned char  *)0xfffff044)
#define	PMCDLH  	*((volatile unsigned char  *)0xfffff045)
#define	PMCDH   	*((volatile unsigned char  *)0xfffff046)
#define	PMCCS   	*((volatile unsigned char  *)0xfffff048)
#define	PMCCT   	*((volatile unsigned char  *)0xfffff04a)
#define	PMCCM   	*((volatile unsigned char  *)0xfffff04c)
#define	CSC0    	*((volatile unsigned short *)0xfffff060)
#define	CSC1    	*((volatile unsigned short *)0xfffff062)
#define	BPC     	*((volatile unsigned short *)0xfffff064)
#define	BSC     	*((volatile unsigned short *)0xfffff066)
#define	VSWC    	*((volatile unsigned char  *)0xfffff06e)
#define	DSA0L   	*((volatile unsigned short *)0xfffff080)
#define	DSA0H   	*((volatile unsigned short *)0xfffff082)
#define	DDA0L   	*((volatile unsigned short *)0xfffff084)
#define	DDA0H   	*((volatile unsigned short *)0xfffff086)
#define	DSA1L   	*((volatile unsigned short *)0xfffff088)
#define	DSA1H   	*((volatile unsigned short *)0xfffff08a)
#define	DDA1L   	*((volatile unsigned short *)0xfffff08c)
#define	DDA1H   	*((volatile unsigned short *)0xfffff08e)
#define	DSA2L   	*((volatile unsigned short *)0xfffff090)
#define	DSA2H   	*((volatile unsigned short *)0xfffff092)
#define	DDA2L   	*((volatile unsigned short *)0xfffff094)
#define	DDA2H   	*((volatile unsigned short *)0xfffff096)
#define	DSA3L   	*((volatile unsigned short *)0xfffff098)
#define	DSA3H   	*((volatile unsigned short *)0xfffff09a)
#define	DDA3L   	*((volatile unsigned short *)0xfffff09c)
#define	DDA3H   	*((volatile unsigned short *)0xfffff09e)
#define	DBC0    	*((volatile unsigned short *)0xfffff0c0)
#define	DBC1    	*((volatile unsigned short *)0xfffff0c2)
#define	DBC2    	*((volatile unsigned short *)0xfffff0c4)
#define	DBC3    	*((volatile unsigned short *)0xfffff0c6)
#define	DADC0   	*((volatile unsigned short *)0xfffff0d0)
#define	DADC1   	*((volatile unsigned short *)0xfffff0d2)
#define	DADC2   	*((volatile unsigned short *)0xfffff0d4)
#define	DADC3   	*((volatile unsigned short *)0xfffff0d6)
#define	DCHC0   	*((volatile unsigned char  *)0xfffff0e0)
#define	DCHC1   	*((volatile unsigned char  *)0xfffff0e2)
#define	DCHC2   	*((volatile unsigned char  *)0xfffff0e4)
#define	DCHC3   	*((volatile unsigned char  *)0xfffff0e6)
#define	DDIS    	*((volatile unsigned char  *)0xfffff0f0)
#define	DRST    	*((volatile unsigned char  *)0xfffff0f2)
#define	IMR0    	*((volatile unsigned short *)0xfffff100)
#define	IMR0L   	*((volatile unsigned char  *)0xfffff100)
#define	IMR0H   	*((volatile unsigned char  *)0xfffff101)
#define	IMR1    	*((volatile unsigned short *)0xfffff102)
#define	IMR1L   	*((volatile unsigned char  *)0xfffff102)
#define	IMR1H   	*((volatile unsigned char  *)0xfffff103)
#define	IMR2    	*((volatile unsigned short *)0xfffff104)
#define	IMR2L   	*((volatile unsigned char  *)0xfffff104)
#define	IMR2H   	*((volatile unsigned char  *)0xfffff105)
#define	IMR3    	*((volatile unsigned short *)0xfffff106)
#define	IMR3L   	*((volatile unsigned char  *)0xfffff106)
#define	IMR3H   	*((volatile unsigned char  *)0xfffff107)
#define	P0IC0   	*((volatile unsigned char  *)0xfffff110)
#define	P0IC1   	*((volatile unsigned char  *)0xfffff112)
#define	P0IC2   	*((volatile unsigned char  *)0xfffff114)
#define	P0IC3   	*((volatile unsigned char  *)0xfffff116)
#define	P0IC4   	*((volatile unsigned char  *)0xfffff118)
#define	P0IC5   	*((volatile unsigned char  *)0xfffff11a)
#define	P0IC6   	*((volatile unsigned char  *)0xfffff11c)
#define	DETIC0  	*((volatile unsigned char  *)0xfffff11e)
#define	DETIC1  	*((volatile unsigned char  *)0xfffff120)
#define	TM0IC0  	*((volatile unsigned char  *)0xfffff122)
#define	CM03IC0 	*((volatile unsigned char  *)0xfffff124)
#define	TM0IC1  	*((volatile unsigned char  *)0xfffff126)
#define	CM03IC1 	*((volatile unsigned char  *)0xfffff128)
#define	CC10IC0 	*((volatile unsigned char  *)0xfffff12a)
#define	CC10IC1 	*((volatile unsigned char  *)0xfffff12c)
#define	CM10IC0 	*((volatile unsigned char  *)0xfffff12e)
#define	CM10IC1 	*((volatile unsigned char  *)0xfffff130)
#define	CC11IC0 	*((volatile unsigned char  *)0xfffff132)
#define	CC11IC1 	*((volatile unsigned char  *)0xfffff134)
#define	CM11IC0 	*((volatile unsigned char  *)0xfffff136)
#define	CM11IC1 	*((volatile unsigned char  *)0xfffff138)
#define	TM2IC0  	*((volatile unsigned char  *)0xfffff13a)
#define	TM2IC1  	*((volatile unsigned char  *)0xfffff13c)
#define	CC2IC0  	*((volatile unsigned char  *)0xfffff13e)
#define	CC2IC1  	*((volatile unsigned char  *)0xfffff140)
#define	CC2IC2  	*((volatile unsigned char  *)0xfffff142)
#define	CC2IC3  	*((volatile unsigned char  *)0xfffff144)
#define	CC2IC4  	*((volatile unsigned char  *)0xfffff146)
#define	CC2IC5  	*((volatile unsigned char  *)0xfffff148)
#define	TM3IC0  	*((volatile unsigned char  *)0xfffff14a)
#define	CC3IC0  	*((volatile unsigned char  *)0xfffff14c)
#define	CC3IC1  	*((volatile unsigned char  *)0xfffff14e)
#define	CM4IC0  	*((volatile unsigned char  *)0xfffff150)
#define	DMAIC0  	*((volatile unsigned char  *)0xfffff152)
#define	DMAIC1  	*((volatile unsigned char  *)0xfffff154)
#define	DMAIC2  	*((volatile unsigned char  *)0xfffff156)
#define	DMAIC3  	*((volatile unsigned char  *)0xfffff158)
#define	CANIC0  	*((volatile unsigned char  *)0xfffff15a)
#define	CANIC1  	*((volatile unsigned char  *)0xfffff15c)
#define	CANIC2  	*((volatile unsigned char  *)0xfffff15e)
#define	CANIC3  	*((volatile unsigned char  *)0xfffff160)
#define	CSIIC0  	*((volatile unsigned char  *)0xfffff162)
#define	CSIIC1  	*((volatile unsigned char  *)0xfffff164)
#define	SRIC0   	*((volatile unsigned char  *)0xfffff166)
#define	STIC0   	*((volatile unsigned char  *)0xfffff168)
#define	SEIC0   	*((volatile unsigned char  *)0xfffff16a)
#define	SRIC1   	*((volatile unsigned char  *)0xfffff16c)
#define	STIC1   	*((volatile unsigned char  *)0xfffff16e)
#define	SRIC2   	*((volatile unsigned char  *)0xfffff170)
#define	STIC2   	*((volatile unsigned char  *)0xfffff172)
#define	ADIC0   	*((volatile unsigned char  *)0xfffff174)
#define	ADIC1   	*((volatile unsigned char  *)0xfffff176)
#define	ISPR    	*((volatile unsigned char  *)0xfffff1fa)
#define	PRCMD   	*((volatile unsigned char  *)0xfffff1fc)
#define	PSC     	*((volatile unsigned char  *)0xfffff1fe)
#define	ADSCM00 	*((volatile unsigned short *)0xfffff200)
#define	ADSCM00L	*((volatile unsigned char  *)0xfffff200)
#define	ADSCM00H	*((volatile unsigned char  *)0xfffff201)
#define	ADSCM01 	*((volatile unsigned short *)0xfffff202)
#define	ADSCM01L	*((volatile unsigned char  *)0xfffff202)
#define	ADSCM01H	*((volatile unsigned char  *)0xfffff203)
#define	ADETM0  	*((volatile unsigned short *)0xfffff204)
#define	ADETM0L 	*((volatile unsigned char  *)0xfffff204)
#define	ADETM0H 	*((volatile unsigned char  *)0xfffff205)
#define	ADCR00  	*((volatile unsigned short *)0xfffff210)
#define	ADCR01  	*((volatile unsigned short *)0xfffff212)
#define	ADCR02  	*((volatile unsigned short *)0xfffff214)
#define	ADCR03  	*((volatile unsigned short *)0xfffff216)
#define	ADCR04  	*((volatile unsigned short *)0xfffff218)
#define	ADCR05  	*((volatile unsigned short *)0xfffff21a)
#define	ADCR06  	*((volatile unsigned short *)0xfffff21c)
#define	ADCR07  	*((volatile unsigned short *)0xfffff21e)
#define	ADSCM10 	*((volatile unsigned short *)0xfffff240)
#define	ADSCM10L	*((volatile unsigned char  *)0xfffff240)
#define	ADSCM10H	*((volatile unsigned char  *)0xfffff241)
#define	ADSCM11 	*((volatile unsigned short *)0xfffff242)
#define	ADSCM11L	*((volatile unsigned char  *)0xfffff242)
#define	ADSCM11H	*((volatile unsigned char  *)0xfffff243)
#define	ADETM1  	*((volatile unsigned short *)0xfffff244)
#define	ADETM1L 	*((volatile unsigned char  *)0xfffff244)
#define	ADETM1H 	*((volatile unsigned char  *)0xfffff245)
#define	ADCR10  	*((volatile unsigned short *)0xfffff250)
#define	ADCR11  	*((volatile unsigned short *)0xfffff252)
#define	ADCR12  	*((volatile unsigned short *)0xfffff254)
#define	ADCR13  	*((volatile unsigned short *)0xfffff256)
#define	ADCR14  	*((volatile unsigned short *)0xfffff258)
#define	ADCR15  	*((volatile unsigned short *)0xfffff25a)
#define	ADCR16  	*((volatile unsigned short *)0xfffff25c)
#define	ADCR17  	*((volatile unsigned short *)0xfffff25e)
#define	ITRG0   	*((volatile unsigned char  *)0xfffff280)
#define	P0      	*((volatile unsigned char  *)0xfffff400)
#define	P1      	*((volatile unsigned char  *)0xfffff402)
#define	P2      	*((volatile unsigned char  *)0xfffff404)
#define	P3      	*((volatile unsigned char  *)0xfffff406)
#define	P4      	*((volatile unsigned char  *)0xfffff408)
#define	PM1     	*((volatile unsigned char  *)0xfffff422)
#define	PM2     	*((volatile unsigned char  *)0xfffff424)
#define	PM3     	*((volatile unsigned char  *)0xfffff426)
#define	PM4     	*((volatile unsigned char  *)0xfffff428)
#define	PMC1    	*((volatile unsigned char  *)0xfffff442)
#define	PMC2    	*((volatile unsigned char  *)0xfffff444)
#define	PMC3    	*((volatile unsigned char  *)0xfffff446)
#define	PMC4    	*((volatile unsigned char  *)0xfffff448)
#define	PFC1    	*((volatile unsigned char  *)0xfffff462)
#define	PFC2    	*((volatile unsigned char  *)0xfffff464)
#define	BCT0    	*((volatile unsigned short *)0xfffff480)
#define	BCT1    	*((volatile unsigned short *)0xfffff482)
#define	DWC0    	*((volatile unsigned short *)0xfffff484)
#define	DWC1    	*((volatile unsigned short *)0xfffff486)
#define	AWC     	*((volatile unsigned short *)0xfffff488)
#define	BCC     	*((volatile unsigned short *)0xfffff48a)
#define	TM4     	*((volatile unsigned short *)0xfffff540)
#define	CM4     	*((volatile unsigned short *)0xfffff542)
#define	TMC4    	*((volatile unsigned char  *)0xfffff544)
#define	DTRR0   	*((volatile unsigned short *)0xfffff570)
#define	BFCM00  	*((volatile unsigned short *)0xfffff572)
#define	BFCM01  	*((volatile unsigned short *)0xfffff574)
#define	BFCM02  	*((volatile unsigned short *)0xfffff576)
#define	BFCM03  	*((volatile unsigned short *)0xfffff578)
#define	TMC00   	*((volatile unsigned short *)0xfffff57a)
#define	TMC00L  	*((volatile unsigned char  *)0xfffff57a)
#define	TMC00H  	*((volatile unsigned char  *)0xfffff57b)
#define	TUC00   	*((volatile unsigned char  *)0xfffff57c)
#define	TOMR0   	*((volatile unsigned char  *)0xfffff57d)
#define	PSTO0   	*((volatile unsigned char  *)0xfffff57e)
#define	POER0   	*((volatile unsigned char  *)0xfffff57f)
#define	SPEC0   	*((volatile unsigned short *)0xfffff580)
#define	DTRR1   	*((volatile unsigned short *)0xfffff5b0)
#define	BFCM10  	*((volatile unsigned short *)0xfffff5b2)
#define	BFCM11  	*((volatile unsigned short *)0xfffff5b4)
#define	BFCM12  	*((volatile unsigned short *)0xfffff5b6)
#define	BFCM13  	*((volatile unsigned short *)0xfffff5b8)
#define	TMC01   	*((volatile unsigned short *)0xfffff5ba)
#define	TMC01L  	*((volatile unsigned char  *)0xfffff5ba)
#define	TMC01H  	*((volatile unsigned char  *)0xfffff5bb)
#define	TUC01   	*((volatile unsigned char  *)0xfffff5bc)
#define	TOMR1   	*((volatile unsigned char  *)0xfffff5bd)
#define	PSTO1   	*((volatile unsigned char  *)0xfffff5be)
#define	POER1   	*((volatile unsigned char  *)0xfffff5bf)
#define	SPEC1   	*((volatile unsigned short *)0xfffff5c0)
#define	PRM01   	*((volatile unsigned char  *)0xfffff5d0)
#define	PRM02   	*((volatile unsigned char  *)0xfffff5d8)
#define	TM10    	*((volatile unsigned short *)0xfffff5e0)
#define	CM100   	*((volatile unsigned short *)0xfffff5e2)
#define	CM101   	*((volatile unsigned short *)0xfffff5e4)
#define	CC100   	*((volatile unsigned short *)0xfffff5e6)
#define	CC101   	*((volatile unsigned short *)0xfffff5e8)
#define	CCR0    	*((volatile unsigned char  *)0xfffff5ea)
#define	TUM0    	*((volatile unsigned char  *)0xfffff5eb)
#define	TMC10   	*((volatile unsigned char  *)0xfffff5ec)
#define	SESA10  	*((volatile unsigned char  *)0xfffff5ed)
#define	PRM10   	*((volatile unsigned char  *)0xfffff5ee)
#define	STATUS0 	*((volatile unsigned char  *)0xfffff5ef)
#define	CSL10   	*((volatile unsigned char  *)0xfffff5f6)
#define	NRC10   	*((volatile unsigned char  *)0xfffff5f8)
#define	TM11    	*((volatile unsigned short *)0xfffff600)
#define	CM110   	*((volatile unsigned short *)0xfffff602)
#define	CM111   	*((volatile unsigned short *)0xfffff604)
#define	CC110   	*((volatile unsigned short *)0xfffff606)
#define	CC111   	*((volatile unsigned short *)0xfffff608)
#define	CCR1    	*((volatile unsigned char  *)0xfffff60a)
#define	TUM1    	*((volatile unsigned char  *)0xfffff60b)
#define	TMC11   	*((volatile unsigned char  *)0xfffff60c)
#define	SESA11  	*((volatile unsigned char  *)0xfffff60d)
#define	PRM11   	*((volatile unsigned char  *)0xfffff60e)
#define	STATUS1 	*((volatile unsigned char  *)0xfffff60f)
#define	CSL11   	*((volatile unsigned char  *)0xfffff616)
#define	NRC11   	*((volatile unsigned char  *)0xfffff618)
#define	TMIC0   	*((volatile unsigned char  *)0xfffff620)
#define	FEM0    	*((volatile unsigned char  *)0xfffff630)
#define	FEM1    	*((volatile unsigned char  *)0xfffff631)
#define	FEM2    	*((volatile unsigned char  *)0xfffff632)
#define	FEM3    	*((volatile unsigned char  *)0xfffff633)
#define	FEM4    	*((volatile unsigned char  *)0xfffff634)
#define	FEM5    	*((volatile unsigned char  *)0xfffff635)
#define	STOPTE0 	*((volatile unsigned short *)0xfffff640)
#define	STOPTE0L	*((volatile unsigned char  *)0xfffff640)
#define	STOPTE0H	*((volatile unsigned char  *)0xfffff641)
#define	CSE0    	*((volatile unsigned short *)0xfffff642)
#define	CSE0L   	*((volatile unsigned char  *)0xfffff642)
#define	CSE0H   	*((volatile unsigned char  *)0xfffff643)
#define	SESE0   	*((volatile unsigned short *)0xfffff644)
#define	SESE0L  	*((volatile unsigned char  *)0xfffff644)
#define	SESE0H  	*((volatile unsigned char  *)0xfffff645)
#define	TCRE0   	*((volatile unsigned short *)0xfffff646)
#define	TCRE0L  	*((volatile unsigned char  *)0xfffff646)
#define	TCRE0H  	*((volatile unsigned char  *)0xfffff647)
#define	OCTLE0  	*((volatile unsigned short *)0xfffff648)
#define	OCTLE0L 	*((volatile unsigned char  *)0xfffff648)
#define	OCTLE0H 	*((volatile unsigned char  *)0xfffff649)
#define	CMSE050 	*((volatile unsigned short *)0xfffff64a)
#define	CMSE120 	*((volatile unsigned short *)0xfffff64c)
#define	CMSE340 	*((volatile unsigned short *)0xfffff64e)
#define	CVSE10  	*((volatile unsigned short *)0xfffff650)
#define	CVPE10  	*((volatile unsigned short *)0xfffff652)
#define	CVSE20  	*((volatile unsigned short *)0xfffff654)
#define	CVPE20  	*((volatile unsigned short *)0xfffff656)
#define	CVSE30  	*((volatile unsigned short *)0xfffff658)
#define	CVPE30  	*((volatile unsigned short *)0xfffff65a)
#define	CVSE40  	*((volatile unsigned short *)0xfffff65c)
#define	CVPE40  	*((volatile unsigned short *)0xfffff65e)
#define	CVSE00  	*((volatile unsigned short *)0xfffff660)
#define	CVSE50  	*((volatile unsigned short *)0xfffff662)
#define	TBSTATE0	*((volatile unsigned short *)0xfffff664)
#define	TBSTATE0L	*((volatile unsigned char  *)0xfffff664)
#define	TBSTATE0H	*((volatile unsigned char  *)0xfffff665)
#define	CCSTATE0	*((volatile unsigned short *)0xfffff666)
#define	CCSTATE0L	*((volatile unsigned char  *)0xfffff666)
#define	CCSTATE0H	*((volatile unsigned char  *)0xfffff667)
#define	ODELE0  	*((volatile unsigned short *)0xfffff668)
#define	ODELE0L 	*((volatile unsigned char  *)0xfffff668)
#define	ODELE0H 	*((volatile unsigned char  *)0xfffff669)
#define	CSCE0   	*((volatile unsigned short *)0xfffff66a)
#define	TM3     	*((volatile unsigned short *)0xfffff680)
#define	CC30    	*((volatile unsigned short *)0xfffff682)
#define	CC31    	*((volatile unsigned short *)0xfffff684)
#define	TMC30   	*((volatile unsigned char  *)0xfffff686)
#define	TMC31   	*((volatile unsigned char  *)0xfffff688)
#define	SESC    	*((volatile unsigned char  *)0xfffff689)
#define	PRM03   	*((volatile unsigned char  *)0xfffff690)
#define	NRC3    	*((volatile unsigned char  *)0xfffff698)
#define	PHCMD   	*((volatile unsigned char  *)0xfffff800)
#define	PHS     	*((volatile unsigned char  *)0xfffff802)
#define	DTFR0   	*((volatile unsigned char  *)0xfffff810)
#define	DTFR1   	*((volatile unsigned char  *)0xfffff812)
#define	DTFR2   	*((volatile unsigned char  *)0xfffff814)
#define	DTFR3   	*((volatile unsigned char  *)0xfffff816)
#define	PSMR    	*((volatile unsigned char  *)0xfffff820)
#define	CKC     	*((volatile unsigned char  *)0xfffff822)
#define	LOCKR   	*((volatile unsigned char  *)0xfffff824)
#define	CORAD0L 	*((volatile unsigned short *)0xfffff840)
#define	CORAD0H 	*((volatile unsigned short *)0xfffff842)
#define	CORAD1L 	*((volatile unsigned short *)0xfffff844)
#define	CORAD1H 	*((volatile unsigned short *)0xfffff846)
#define	CORAD2L 	*((volatile unsigned short *)0xfffff848)
#define	CORAD2H 	*((volatile unsigned short *)0xfffff84a)
#define	CORAD3L 	*((volatile unsigned short *)0xfffff84c)
#define	CORAD3H 	*((volatile unsigned short *)0xfffff84e)
#define	CORCN   	*((volatile unsigned char  *)0xfffff870)
#define	INTM0   	*((volatile unsigned char  *)0xfffff880)
#define	INTM1   	*((volatile unsigned char  *)0xfffff882)
#define	INTM2   	*((volatile unsigned char  *)0xfffff884)
#define	FLPMC   	*((volatile unsigned char  *)0xfffff8d4)
#define	CSIM0   	*((volatile unsigned char  *)0xfffff900)
#define	CSIC0   	*((volatile unsigned char  *)0xfffff901)
#define	SIRB0   	*((volatile unsigned short *)0xfffff902)
#define	SIRBL0  	*((volatile unsigned char  *)0xfffff902)
#define	SOTB0   	*((volatile unsigned short *)0xfffff904)
#define	SOTBL0  	*((volatile unsigned char  *)0xfffff904)
#define	SIRBE0  	*((volatile unsigned short *)0xfffff906)
#define	SIRBEL0 	*((volatile unsigned char  *)0xfffff906)
#define	SOTBF0  	*((volatile unsigned short *)0xfffff908)
#define	SOTBFL0 	*((volatile unsigned char  *)0xfffff908)
#define	SIO0    	*((volatile unsigned short *)0xfffff90a)
#define	SIOL0   	*((volatile unsigned char  *)0xfffff90a)
#define	CSIM1   	*((volatile unsigned char  *)0xfffff910)
#define	CSIC1   	*((volatile unsigned char  *)0xfffff911)
#define	SIRB1   	*((volatile unsigned short *)0xfffff912)
#define	SIRBL1  	*((volatile unsigned char  *)0xfffff912)
#define	SOTB1   	*((volatile unsigned short *)0xfffff914)
#define	SOTBL1  	*((volatile unsigned char  *)0xfffff914)
#define	SIRBE1  	*((volatile unsigned short *)0xfffff916)
#define	SIRBEL1 	*((volatile unsigned char  *)0xfffff916)
#define	SOTBF1  	*((volatile unsigned short *)0xfffff918)
#define	SOTBFL1 	*((volatile unsigned char  *)0xfffff918)
#define	SIO1    	*((volatile unsigned short *)0xfffff91a)
#define	SIOL1   	*((volatile unsigned char  *)0xfffff91a)
#define	PRSM3   	*((volatile unsigned char  *)0xfffff920)
#define	PRSCM3  	*((volatile unsigned char  *)0xfffff922)
#define	PRM04   	*((volatile unsigned char  *)0xfffff930)
#define	ASIM0   	*((volatile unsigned char  *)0xfffffa00)
#define	RXB0    	*((volatile unsigned char  *)0xfffffa02)
#define	ASIS0   	*((volatile unsigned char  *)0xfffffa03)
#define	TXB0    	*((volatile unsigned char  *)0xfffffa04)
#define	ASIF0   	*((volatile unsigned char  *)0xfffffa05)
#define	CKSR0   	*((volatile unsigned char  *)0xfffffa06)
#define	BRGC0   	*((volatile unsigned char  *)0xfffffa07)
#define	RXB1    	*((volatile unsigned short *)0xfffffa20)
#define	RXBL1   	*((volatile unsigned char  *)0xfffffa22)
#define	TXS1    	*((volatile unsigned short *)0xfffffa24)
#define	TXSL1   	*((volatile unsigned char  *)0xfffffa26)
#define	ASIM10  	*((volatile unsigned char  *)0xfffffa28)
#define	ASIM11  	*((volatile unsigned char  *)0xfffffa2a)
#define	ASIS1   	*((volatile unsigned char  *)0xfffffa2c)
#define	PRSM1   	*((volatile unsigned char  *)0xfffffa2e)
#define	PRSCM1  	*((volatile unsigned char  *)0xfffffa30)
#define	RXB2    	*((volatile unsigned short *)0xfffffa40)
#define	RXBL2   	*((volatile unsigned char  *)0xfffffa42)
#define	TXS2    	*((volatile unsigned short *)0xfffffa44)
#define	TXSL2   	*((volatile unsigned char  *)0xfffffa46)
#define	ASIM20  	*((volatile unsigned char  *)0xfffffa48)
#define	ASIM21  	*((volatile unsigned char  *)0xfffffa4a)
#define	ASIS2   	*((volatile unsigned char  *)0xfffffa4c)
#define	PRSM2   	*((volatile unsigned char  *)0xfffffa4e)
#define	PRSCM2  	*((volatile unsigned char  *)0xfffffa50)


/* I/O register bit */

#define	_E00     	((volatile struct bitf *)0xfffff0e0)->bit00
#define	_STG0    	((volatile struct bitf *)0xfffff0e0)->bit01
#define	_INIT0   	((volatile struct bitf *)0xfffff0e0)->bit02
#define	_MLE0    	((volatile struct bitf *)0xfffff0e0)->bit03
#define	_TC0     	((volatile struct bitf *)0xfffff0e0)->bit07

#define	_E11     	((volatile struct bitf *)0xfffff0e2)->bit00
#define	_STG1    	((volatile struct bitf *)0xfffff0e2)->bit01
#define	_INIT1   	((volatile struct bitf *)0xfffff0e2)->bit02
#define	_MLE1    	((volatile struct bitf *)0xfffff0e2)->bit03
#define	_TC1     	((volatile struct bitf *)0xfffff0e2)->bit07

#define	_E22     	((volatile struct bitf *)0xfffff0e4)->bit00
#define	_STG2    	((volatile struct bitf *)0xfffff0e4)->bit01
#define	_INIT2   	((volatile struct bitf *)0xfffff0e4)->bit02
#define	_MLE2    	((volatile struct bitf *)0xfffff0e4)->bit03
#define	_TC2     	((volatile struct bitf *)0xfffff0e4)->bit07

#define	_E33     	((volatile struct bitf *)0xfffff0e6)->bit00
#define	_STG3    	((volatile struct bitf *)0xfffff0e6)->bit01
#define	_INIT3   	((volatile struct bitf *)0xfffff0e6)->bit02
#define	_MLE3    	((volatile struct bitf *)0xfffff0e6)->bit03
#define	_TC3     	((volatile struct bitf *)0xfffff0e6)->bit07

#define	_P0PR00  	((volatile struct bitf *)0xfffff110)->bit00
#define	_P0PR01  	((volatile struct bitf *)0xfffff110)->bit01
#define	_P0PR02  	((volatile struct bitf *)0xfffff110)->bit02
#define	_P0MK0   	((volatile struct bitf *)0xfffff110)->bit06
#define	_P0IF0   	((volatile struct bitf *)0xfffff110)->bit07

#define	_P0PR10  	((volatile struct bitf *)0xfffff112)->bit00
#define	_P0PR11  	((volatile struct bitf *)0xfffff112)->bit01
#define	_P0PR12  	((volatile struct bitf *)0xfffff112)->bit02
#define	_P0MK1   	((volatile struct bitf *)0xfffff112)->bit06
#define	_P0IF1   	((volatile struct bitf *)0xfffff112)->bit07

#define	_P0PR20  	((volatile struct bitf *)0xfffff114)->bit00
#define	_P0PR21  	((volatile struct bitf *)0xfffff114)->bit01
#define	_P0PR22  	((volatile struct bitf *)0xfffff114)->bit02
#define	_P0MK2   	((volatile struct bitf *)0xfffff114)->bit06
#define	_P0IF2   	((volatile struct bitf *)0xfffff114)->bit07

#define	_P0PR30  	((volatile struct bitf *)0xfffff116)->bit00
#define	_P0PR31  	((volatile struct bitf *)0xfffff116)->bit01
#define	_P0PR32  	((volatile struct bitf *)0xfffff116)->bit02
#define	_P0MK3   	((volatile struct bitf *)0xfffff116)->bit06
#define	_P0IF3   	((volatile struct bitf *)0xfffff116)->bit07

#define	_P0PR40  	((volatile struct bitf *)0xfffff118)->bit00
#define	_P0PR41  	((volatile struct bitf *)0xfffff118)->bit01
#define	_P0PR42  	((volatile struct bitf *)0xfffff118)->bit02
#define	_P0MK4   	((volatile struct bitf *)0xfffff118)->bit06
#define	_P0IF4   	((volatile struct bitf *)0xfffff118)->bit07

#define	_P0PR50  	((volatile struct bitf *)0xfffff11a)->bit00
#define	_P0PR51  	((volatile struct bitf *)0xfffff11a)->bit01
#define	_P0PR52  	((volatile struct bitf *)0xfffff11a)->bit02
#define	_P0MK5   	((volatile struct bitf *)0xfffff11a)->bit06
#define	_P0IF5   	((volatile struct bitf *)0xfffff11a)->bit07

#define	_P0PR60  	((volatile struct bitf *)0xfffff11c)->bit00
#define	_P0PR61  	((volatile struct bitf *)0xfffff11c)->bit01
#define	_P0PR62  	((volatile struct bitf *)0xfffff11c)->bit02
#define	_P0MK6   	((volatile struct bitf *)0xfffff11c)->bit06
#define	_P0IF6   	((volatile struct bitf *)0xfffff11c)->bit07

#define	_DETPR00 	((volatile struct bitf *)0xfffff11e)->bit00
#define	_DETPR01 	((volatile struct bitf *)0xfffff11e)->bit01
#define	_DETPR02 	((volatile struct bitf *)0xfffff11e)->bit02
#define	_DETMK0  	((volatile struct bitf *)0xfffff11e)->bit06
#define	_DETIF0  	((volatile struct bitf *)0xfffff11e)->bit07

#define	_DETPR10 	((volatile struct bitf *)0xfffff120)->bit00
#define	_DETPR11 	((volatile struct bitf *)0xfffff120)->bit01
#define	_DETPR12 	((volatile struct bitf *)0xfffff120)->bit02
#define	_DETMK1  	((volatile struct bitf *)0xfffff120)->bit06
#define	_DETIF1  	((volatile struct bitf *)0xfffff120)->bit07

#define	_TM0PR00 	((volatile struct bitf *)0xfffff122)->bit00
#define	_TM0PR01 	((volatile struct bitf *)0xfffff122)->bit01
#define	_TM0PR02 	((volatile struct bitf *)0xfffff122)->bit02
#define	_TM0MK0  	((volatile struct bitf *)0xfffff122)->bit06
#define	_TM0IF0  	((volatile struct bitf *)0xfffff122)->bit07

#define	_CM03PR00	((volatile struct bitf *)0xfffff124)->bit00
#define	_CM03PR01	((volatile struct bitf *)0xfffff124)->bit01
#define	_CM03PR02	((volatile struct bitf *)0xfffff124)->bit02
#define	_CM03MK0 	((volatile struct bitf *)0xfffff124)->bit06
#define	_CM03IF0 	((volatile struct bitf *)0xfffff124)->bit07

#define	_TM0PR10 	((volatile struct bitf *)0xfffff126)->bit00
#define	_TM0PR11 	((volatile struct bitf *)0xfffff126)->bit01
#define	_TM0PR12 	((volatile struct bitf *)0xfffff126)->bit02
#define	_TM0MK1  	((volatile struct bitf *)0xfffff126)->bit06
#define	_TM0IF1  	((volatile struct bitf *)0xfffff126)->bit07

#define	_CM03PR10	((volatile struct bitf *)0xfffff128)->bit00
#define	_CM03PR11	((volatile struct bitf *)0xfffff128)->bit01
#define	_CM03PR12	((volatile struct bitf *)0xfffff128)->bit02
#define	_CM03MK1 	((volatile struct bitf *)0xfffff128)->bit06
#define	_CM03IF1 	((volatile struct bitf *)0xfffff128)->bit07

#define	_CC10PR00	((volatile struct bitf *)0xfffff12a)->bit00
#define	_CC10PR01	((volatile struct bitf *)0xfffff12a)->bit01
#define	_CC10PR02	((volatile struct bitf *)0xfffff12a)->bit02
#define	_CC10MK0 	((volatile struct bitf *)0xfffff12a)->bit06
#define	_CC10IF0 	((volatile struct bitf *)0xfffff12a)->bit07

#define	_CC10PR10	((volatile struct bitf *)0xfffff12c)->bit00
#define	_CC10PR11	((volatile struct bitf *)0xfffff12c)->bit01
#define	_CC10PR12	((volatile struct bitf *)0xfffff12c)->bit02
#define	_CC10MK1 	((volatile struct bitf *)0xfffff12c)->bit06
#define	_CC10IF1 	((volatile struct bitf *)0xfffff12c)->bit07

#define	_CM10PR00	((volatile struct bitf *)0xfffff12e)->bit00
#define	_CM10PR01	((volatile struct bitf *)0xfffff12e)->bit01
#define	_CM10PR02	((volatile struct bitf *)0xfffff12e)->bit02
#define	_CM10MK0 	((volatile struct bitf *)0xfffff12e)->bit06
#define	_CM10IF0 	((volatile struct bitf *)0xfffff12e)->bit07

#define	_CM10PR10	((volatile struct bitf *)0xfffff130)->bit00
#define	_CM10PR11	((volatile struct bitf *)0xfffff130)->bit01
#define	_CM10PR12	((volatile struct bitf *)0xfffff130)->bit02
#define	_CM10MK1 	((volatile struct bitf *)0xfffff130)->bit06
#define	_CM10IF1 	((volatile struct bitf *)0xfffff130)->bit07

#define	_CC11PR00	((volatile struct bitf *)0xfffff132)->bit00
#define	_CC11PR01	((volatile struct bitf *)0xfffff132)->bit01
#define	_CC11PR02	((volatile struct bitf *)0xfffff132)->bit02
#define	_CC11MK0 	((volatile struct bitf *)0xfffff132)->bit06
#define	_CC11IF0 	((volatile struct bitf *)0xfffff132)->bit07

#define	_CC11PR10	((volatile struct bitf *)0xfffff134)->bit00
#define	_CC11PR11	((volatile struct bitf *)0xfffff134)->bit01
#define	_CC11PR12	((volatile struct bitf *)0xfffff134)->bit02
#define	_CC11MK1 	((volatile struct bitf *)0xfffff134)->bit06
#define	_CC11IF1 	((volatile struct bitf *)0xfffff134)->bit07

#define	_CM11PR00	((volatile struct bitf *)0xfffff136)->bit00
#define	_CM11PR01	((volatile struct bitf *)0xfffff136)->bit01
#define	_CM11PR02	((volatile struct bitf *)0xfffff136)->bit02
#define	_CM11MK0 	((volatile struct bitf *)0xfffff136)->bit06
#define	_CM11IF0 	((volatile struct bitf *)0xfffff136)->bit07

#define	_CM11PR10	((volatile struct bitf *)0xfffff138)->bit00
#define	_CM11PR11	((volatile struct bitf *)0xfffff138)->bit01
#define	_CM11PR12	((volatile struct bitf *)0xfffff138)->bit02
#define	_CM11MK1 	((volatile struct bitf *)0xfffff138)->bit06
#define	_CM11IF1 	((volatile struct bitf *)0xfffff138)->bit07

#define	_TM2PR00 	((volatile struct bitf *)0xfffff13a)->bit00
#define	_TM2PR01 	((volatile struct bitf *)0xfffff13a)->bit01
#define	_TM2PR02 	((volatile struct bitf *)0xfffff13a)->bit02
#define	_TM2MK0  	((volatile struct bitf *)0xfffff13a)->bit06
#define	_TM2IF0  	((volatile struct bitf *)0xfffff13a)->bit07

#define	_TM2PR10 	((volatile struct bitf *)0xfffff13c)->bit00
#define	_TM2PR11 	((volatile struct bitf *)0xfffff13c)->bit01
#define	_TM2PR12 	((volatile struct bitf *)0xfffff13c)->bit02
#define	_TM2MK1  	((volatile struct bitf *)0xfffff13c)->bit06
#define	_TM2IF1  	((volatile struct bitf *)0xfffff13c)->bit07

#define	_CC2PR00 	((volatile struct bitf *)0xfffff13e)->bit00
#define	_CC2PR01 	((volatile struct bitf *)0xfffff13e)->bit01
#define	_CC2PR02 	((volatile struct bitf *)0xfffff13e)->bit02
#define	_CC2MK0  	((volatile struct bitf *)0xfffff13e)->bit06
#define	_CC2IF0  	((volatile struct bitf *)0xfffff13e)->bit07

#define	_CC2PR10 	((volatile struct bitf *)0xfffff140)->bit00
#define	_CC2PR11 	((volatile struct bitf *)0xfffff140)->bit01
#define	_CC2PR12 	((volatile struct bitf *)0xfffff140)->bit02
#define	_CC2MK1  	((volatile struct bitf *)0xfffff140)->bit06
#define	_CC2IF1  	((volatile struct bitf *)0xfffff140)->bit07

#define	_CC2PR20 	((volatile struct bitf *)0xfffff142)->bit00
#define	_CC2PR21 	((volatile struct bitf *)0xfffff142)->bit01
#define	_CC2PR22 	((volatile struct bitf *)0xfffff142)->bit02
#define	_CC2MK2  	((volatile struct bitf *)0xfffff142)->bit06
#define	_CC2IF2  	((volatile struct bitf *)0xfffff142)->bit07

#define	_CC2PR30 	((volatile struct bitf *)0xfffff144)->bit00
#define	_CC2PR31 	((volatile struct bitf *)0xfffff144)->bit01
#define	_CC2PR32 	((volatile struct bitf *)0xfffff144)->bit02
#define	_CC2MK3  	((volatile struct bitf *)0xfffff144)->bit06
#define	_CC2IF3  	((volatile struct bitf *)0xfffff144)->bit07

#define	_CC2PR40 	((volatile struct bitf *)0xfffff146)->bit00
#define	_CC2PR41 	((volatile struct bitf *)0xfffff146)->bit01
#define	_CC2PR42 	((volatile struct bitf *)0xfffff146)->bit02
#define	_CC2MK4  	((volatile struct bitf *)0xfffff146)->bit06
#define	_CC2IF4  	((volatile struct bitf *)0xfffff146)->bit07

#define	_CC2PR50 	((volatile struct bitf *)0xfffff148)->bit00
#define	_CC2PR51 	((volatile struct bitf *)0xfffff148)->bit01
#define	_CC2PR52 	((volatile struct bitf *)0xfffff148)->bit02
#define	_CC2MK5  	((volatile struct bitf *)0xfffff148)->bit06
#define	_CC2IF5  	((volatile struct bitf *)0xfffff148)->bit07

#define	_TM3PR00 	((volatile struct bitf *)0xfffff14a)->bit00
#define	_TM3PR01 	((volatile struct bitf *)0xfffff14a)->bit01
#define	_TM3PR02 	((volatile struct bitf *)0xfffff14a)->bit02
#define	_TM3MK0  	((volatile struct bitf *)0xfffff14a)->bit06
#define	_TM3IF0  	((volatile struct bitf *)0xfffff14a)->bit07

#define	_CC3PR00 	((volatile struct bitf *)0xfffff14c)->bit00
#define	_CC3PR01 	((volatile struct bitf *)0xfffff14c)->bit01
#define	_CC3PR02 	((volatile struct bitf *)0xfffff14c)->bit02
#define	_CC3MK0  	((volatile struct bitf *)0xfffff14c)->bit06
#define	_CC3IF0  	((volatile struct bitf *)0xfffff14c)->bit07

#define	_CC3PR10 	((volatile struct bitf *)0xfffff14e)->bit00
#define	_CC3PR11 	((volatile struct bitf *)0xfffff14e)->bit01
#define	_CC3PR12 	((volatile struct bitf *)0xfffff14e)->bit02
#define	_CC3MK1  	((volatile struct bitf *)0xfffff14e)->bit06
#define	_CC3IF1  	((volatile struct bitf *)0xfffff14e)->bit07

#define	_CM4PR00 	((volatile struct bitf *)0xfffff150)->bit00
#define	_CM4PR01 	((volatile struct bitf *)0xfffff150)->bit01
#define	_CM4PR02 	((volatile struct bitf *)0xfffff150)->bit02
#define	_CM4MK0  	((volatile struct bitf *)0xfffff150)->bit06
#define	_CM4IF0  	((volatile struct bitf *)0xfffff150)->bit07

#define	_DMAPR00 	((volatile struct bitf *)0xfffff152)->bit00
#define	_DMAPR01 	((volatile struct bitf *)0xfffff152)->bit01
#define	_DMAPR02 	((volatile struct bitf *)0xfffff152)->bit02
#define	_DMAMK0  	((volatile struct bitf *)0xfffff152)->bit06
#define	_DMAIF0  	((volatile struct bitf *)0xfffff152)->bit07

#define	_DMAPR10 	((volatile struct bitf *)0xfffff154)->bit00
#define	_DMAPR11 	((volatile struct bitf *)0xfffff154)->bit01
#define	_DMAPR12 	((volatile struct bitf *)0xfffff154)->bit02
#define	_DMAMK1  	((volatile struct bitf *)0xfffff154)->bit06
#define	_DMAIF1  	((volatile struct bitf *)0xfffff154)->bit07

#define	_DMAPR20 	((volatile struct bitf *)0xfffff156)->bit00
#define	_DMAPR21 	((volatile struct bitf *)0xfffff156)->bit01
#define	_DMAPR22 	((volatile struct bitf *)0xfffff156)->bit02
#define	_DMAMK2  	((volatile struct bitf *)0xfffff156)->bit06
#define	_DMAIF2  	((volatile struct bitf *)0xfffff156)->bit07

#define	_DMAPR30 	((volatile struct bitf *)0xfffff158)->bit00
#define	_DMAPR31 	((volatile struct bitf *)0xfffff158)->bit01
#define	_DMAPR32 	((volatile struct bitf *)0xfffff158)->bit02
#define	_DMAMK3  	((volatile struct bitf *)0xfffff158)->bit06
#define	_DMAIF3  	((volatile struct bitf *)0xfffff158)->bit07

#define	_CANPR00 	((volatile struct bitf *)0xfffff15a)->bit00
#define	_CANPR01 	((volatile struct bitf *)0xfffff15a)->bit01
#define	_CANPR02 	((volatile struct bitf *)0xfffff15a)->bit02
#define	_CANMK0  	((volatile struct bitf *)0xfffff15a)->bit06
#define	_CANIF0  	((volatile struct bitf *)0xfffff15a)->bit07

#define	_CANPR10 	((volatile struct bitf *)0xfffff15c)->bit00
#define	_CANPR11 	((volatile struct bitf *)0xfffff15c)->bit01
#define	_CANPR12 	((volatile struct bitf *)0xfffff15c)->bit02
#define	_CANMK1  	((volatile struct bitf *)0xfffff15c)->bit06
#define	_CANIF1  	((volatile struct bitf *)0xfffff15c)->bit07

#define	_CANPR20 	((volatile struct bitf *)0xfffff15e)->bit00
#define	_CANPR21 	((volatile struct bitf *)0xfffff15e)->bit01
#define	_CANPR22 	((volatile struct bitf *)0xfffff15e)->bit02
#define	_CANMK2  	((volatile struct bitf *)0xfffff15e)->bit06
#define	_CANIF2  	((volatile struct bitf *)0xfffff15e)->bit07

#define	_CANPR30 	((volatile struct bitf *)0xfffff160)->bit00
#define	_CANPR31 	((volatile struct bitf *)0xfffff160)->bit01
#define	_CANPR32 	((volatile struct bitf *)0xfffff160)->bit02
#define	_CANMK3  	((volatile struct bitf *)0xfffff160)->bit06
#define	_CANIF3  	((volatile struct bitf *)0xfffff160)->bit07

#define	_CSIPR00 	((volatile struct bitf *)0xfffff162)->bit00
#define	_CSIPR01 	((volatile struct bitf *)0xfffff162)->bit01
#define	_CSIPR02 	((volatile struct bitf *)0xfffff162)->bit02
#define	_CSIMK0  	((volatile struct bitf *)0xfffff162)->bit06
#define	_CSIIF0  	((volatile struct bitf *)0xfffff162)->bit07

#define	_CSIPR10 	((volatile struct bitf *)0xfffff164)->bit00
#define	_CSIPR11 	((volatile struct bitf *)0xfffff164)->bit01
#define	_CSIPR12 	((volatile struct bitf *)0xfffff164)->bit02
#define	_CSIMK1  	((volatile struct bitf *)0xfffff164)->bit06
#define	_CSIIF1  	((volatile struct bitf *)0xfffff164)->bit07

#define	_SRPR00  	((volatile struct bitf *)0xfffff166)->bit00
#define	_SRPR01  	((volatile struct bitf *)0xfffff166)->bit01
#define	_SRPR02  	((volatile struct bitf *)0xfffff166)->bit02
#define	_SRMK0   	((volatile struct bitf *)0xfffff166)->bit06
#define	_SRIF0   	((volatile struct bitf *)0xfffff166)->bit07

#define	_STPR00  	((volatile struct bitf *)0xfffff168)->bit00
#define	_STPR01  	((volatile struct bitf *)0xfffff168)->bit01
#define	_STPR02  	((volatile struct bitf *)0xfffff168)->bit02
#define	_STMK0   	((volatile struct bitf *)0xfffff168)->bit06
#define	_STIF0   	((volatile struct bitf *)0xfffff168)->bit07

#define	_SEPR00  	((volatile struct bitf *)0xfffff16a)->bit00
#define	_SEPR01  	((volatile struct bitf *)0xfffff16a)->bit01
#define	_SEPR02  	((volatile struct bitf *)0xfffff16a)->bit02
#define	_SEMK0   	((volatile struct bitf *)0xfffff16a)->bit06
#define	_SEIF0   	((volatile struct bitf *)0xfffff16a)->bit07

#define	_SRPR10  	((volatile struct bitf *)0xfffff16c)->bit00
#define	_SRPR11  	((volatile struct bitf *)0xfffff16c)->bit01
#define	_SRPR12  	((volatile struct bitf *)0xfffff16c)->bit02
#define	_SRMK1   	((volatile struct bitf *)0xfffff16c)->bit06
#define	_SRIF1   	((volatile struct bitf *)0xfffff16c)->bit07

#define	_STPR10  	((volatile struct bitf *)0xfffff16e)->bit00
#define	_STPR11  	((volatile struct bitf *)0xfffff16e)->bit01
#define	_STPR12  	((volatile struct bitf *)0xfffff16e)->bit02
#define	_STMK1   	((volatile struct bitf *)0xfffff16e)->bit06
#define	_STIF1   	((volatile struct bitf *)0xfffff16e)->bit07

#define	_SRPR20  	((volatile struct bitf *)0xfffff170)->bit00
#define	_SRPR21  	((volatile struct bitf *)0xfffff170)->bit01
#define	_SRPR22  	((volatile struct bitf *)0xfffff170)->bit02
#define	_SRMK2   	((volatile struct bitf *)0xfffff170)->bit06
#define	_SRIF2   	((volatile struct bitf *)0xfffff170)->bit07

#define	_STPR20  	((volatile struct bitf *)0xfffff172)->bit00
#define	_STPR21  	((volatile struct bitf *)0xfffff172)->bit01
#define	_STPR22  	((volatile struct bitf *)0xfffff172)->bit02
#define	_STMK2   	((volatile struct bitf *)0xfffff172)->bit06
#define	_STIF2   	((volatile struct bitf *)0xfffff172)->bit07

#define	_ADPR00  	((volatile struct bitf *)0xfffff174)->bit00
#define	_ADPR01  	((volatile struct bitf *)0xfffff174)->bit01
#define	_ADPR02  	((volatile struct bitf *)0xfffff174)->bit02
#define	_ADMK0   	((volatile struct bitf *)0xfffff174)->bit06
#define	_ADIF0   	((volatile struct bitf *)0xfffff174)->bit07

#define	_ADPR10  	((volatile struct bitf *)0xfffff176)->bit00
#define	_ADPR11  	((volatile struct bitf *)0xfffff176)->bit01
#define	_ADPR12  	((volatile struct bitf *)0xfffff176)->bit02
#define	_ADMK1   	((volatile struct bitf *)0xfffff176)->bit06
#define	_ADIF1   	((volatile struct bitf *)0xfffff176)->bit07

#define	_ISPR0   	((volatile struct bitf *)0xfffff1fa)->bit00
#define	_ISPR1   	((volatile struct bitf *)0xfffff1fa)->bit01
#define	_ISPR2   	((volatile struct bitf *)0xfffff1fa)->bit02
#define	_ISPR3   	((volatile struct bitf *)0xfffff1fa)->bit03
#define	_ISPR4   	((volatile struct bitf *)0xfffff1fa)->bit04
#define	_ISPR5   	((volatile struct bitf *)0xfffff1fa)->bit05
#define	_ISPR6   	((volatile struct bitf *)0xfffff1fa)->bit06
#define	_ISPR7   	((volatile struct bitf *)0xfffff1fa)->bit07

#define	_STB     	((volatile struct bitf *)0xfffff1fe)->bit01
#define	_INTM    	((volatile struct bitf *)0xfffff1fe)->bit04
#define	_NMIM    	((volatile struct bitf *)0xfffff1fe)->bit05

#define	_ADPLM0  	((volatile struct bitf *)0xfffff201)->bit03
#define	_ADMS0   	((volatile struct bitf *)0xfffff201)->bit04
#define	_ADCS0   	((volatile struct bitf *)0xfffff201)->bit06
#define	_ADCE0   	((volatile struct bitf *)0xfffff201)->bit07

#define	_ADETLH0 	((volatile struct bitf *)0xfffff205)->bit06
#define	_ADETEN0 	((volatile struct bitf *)0xfffff205)->bit07

#define	_ADPLM1  	((volatile struct bitf *)0xfffff241)->bit03
#define	_ADMS1   	((volatile struct bitf *)0xfffff241)->bit04
#define	_ADCS1   	((volatile struct bitf *)0xfffff241)->bit06
#define	_ADCE1   	((volatile struct bitf *)0xfffff241)->bit07

#define	_ADETLH1 	((volatile struct bitf *)0xfffff245)->bit06
#define	_ADETEN1 	((volatile struct bitf *)0xfffff245)->bit07

#define	_TM4CAE0 	((volatile struct bitf *)0xfffff544)->bit00
#define	_TM4CE0  	((volatile struct bitf *)0xfffff544)->bit01

#define	_TM0CED0 	((volatile struct bitf *)0xfffff57a)->bit05

#define	_STINT0  	((volatile struct bitf *)0xfffff57b)->bit06
#define	_TM0CE0  	((volatile struct bitf *)0xfffff57b)->bit07

#define	_TOSTA0  	((volatile struct bitf *)0xfffff57c)->bit00
#define	_TORS0   	((volatile struct bitf *)0xfffff57c)->bit01

#define	_WPORT0  	((volatile struct bitf *)0xfffff57e)->bit00
#define	_VPORT0  	((volatile struct bitf *)0xfffff57e)->bit01
#define	_UPORT0  	((volatile struct bitf *)0xfffff57e)->bit02
#define	_TORTO0  	((volatile struct bitf *)0xfffff57e)->bit07

#define	_OE000   	((volatile struct bitf *)0xfffff57f)->bit00
#define	_OE010   	((volatile struct bitf *)0xfffff57f)->bit01
#define	_OE100   	((volatile struct bitf *)0xfffff57f)->bit02
#define	_OE110   	((volatile struct bitf *)0xfffff57f)->bit03
#define	_OE200   	((volatile struct bitf *)0xfffff57f)->bit04
#define	_OE210   	((volatile struct bitf *)0xfffff57f)->bit05

#define	_TM0CED1 	((volatile struct bitf *)0xfffff5ba)->bit05

#define	_STINT1  	((volatile struct bitf *)0xfffff5bb)->bit06
#define	_TM0CE1  	((volatile struct bitf *)0xfffff5bb)->bit07

#define	_TOSTA1  	((volatile struct bitf *)0xfffff5bc)->bit00
#define	_TORS1   	((volatile struct bitf *)0xfffff5bc)->bit01

#define	_WPORT1  	((volatile struct bitf *)0xfffff5be)->bit00
#define	_VPORT1  	((volatile struct bitf *)0xfffff5be)->bit01
#define	_UPORT1  	((volatile struct bitf *)0xfffff5be)->bit02
#define	_TORTO1  	((volatile struct bitf *)0xfffff5be)->bit07

#define	_OE001   	((volatile struct bitf *)0xfffff5bf)->bit00
#define	_OE011   	((volatile struct bitf *)0xfffff5bf)->bit01
#define	_OE101   	((volatile struct bitf *)0xfffff5bf)->bit02
#define	_OE111   	((volatile struct bitf *)0xfffff5bf)->bit03
#define	_OE201   	((volatile struct bitf *)0xfffff5bf)->bit04
#define	_OE211   	((volatile struct bitf *)0xfffff5bf)->bit05

#define	_TM1CE0  	((volatile struct bitf *)0xfffff5ec)->bit06

#define	_TM1UBD0 	((volatile struct bitf *)0xfffff5ef)->bit00
#define	_TM1OVF0 	((volatile struct bitf *)0xfffff5ef)->bit01
#define	_TM1UDF0 	((volatile struct bitf *)0xfffff5ef)->bit02

#define	_TM1CE1  	((volatile struct bitf *)0xfffff60c)->bit06

#define	_TM1UBD1 	((volatile struct bitf *)0xfffff60f)->bit00
#define	_TM1OVF1 	((volatile struct bitf *)0xfffff60f)->bit01
#define	_TM1UDF1 	((volatile struct bitf *)0xfffff60f)->bit02

#define	_STFTE   	((volatile struct bitf *)0xfffff641)->bit07

#define	_CEE0    	((volatile struct bitf *)0xfffff646)->bit05
#define	_CLRE0   	((volatile struct bitf *)0xfffff646)->bit06

#define	_CEE1    	((volatile struct bitf *)0xfffff647)->bit05
#define	_CLRE1   	((volatile struct bitf *)0xfffff647)->bit06

#define	_UDFE0   	((volatile struct bitf *)0xfffff664)->bit00
#define	_RSFE0   	((volatile struct bitf *)0xfffff664)->bit01
#define	_ECFE0   	((volatile struct bitf *)0xfffff664)->bit02
#define	_OVFE0   	((volatile struct bitf *)0xfffff664)->bit03

#define	_UDFE1   	((volatile struct bitf *)0xfffff665)->bit00
#define	_RSFE1   	((volatile struct bitf *)0xfffff665)->bit01
#define	_ECFE1   	((volatile struct bitf *)0xfffff665)->bit02
#define	_OVFE1   	((volatile struct bitf *)0xfffff665)->bit03

#define	_CEFE1   	((volatile struct bitf *)0xfffff666)->bit02
#define	_CEFE2   	((volatile struct bitf *)0xfffff666)->bit06

#define	_CEFE3   	((volatile struct bitf *)0xfffff667)->bit02
#define	_CEFE4   	((volatile struct bitf *)0xfffff667)->bit06

#define	_TM3CAE  	((volatile struct bitf *)0xfffff686)->bit00
#define	_TM3CE   	((volatile struct bitf *)0xfffff686)->bit01
#define	_TM3OVF  	((volatile struct bitf *)0xfffff686)->bit07

#define	_PRERR   	((volatile struct bitf *)0xfffff802)->bit00

#define	_IFC00   	((volatile struct bitf *)0xfffff810)->bit00
#define	_IFC01   	((volatile struct bitf *)0xfffff810)->bit01
#define	_IFC02   	((volatile struct bitf *)0xfffff810)->bit02
#define	_IFC03   	((volatile struct bitf *)0xfffff810)->bit03
#define	_IFC04   	((volatile struct bitf *)0xfffff810)->bit04
#define	_IFC05   	((volatile struct bitf *)0xfffff810)->bit05
#define	_DF0     	((volatile struct bitf *)0xfffff810)->bit07

#define	_IFC10   	((volatile struct bitf *)0xfffff812)->bit00
#define	_IFC11   	((volatile struct bitf *)0xfffff812)->bit01
#define	_IFC12   	((volatile struct bitf *)0xfffff812)->bit02
#define	_IFC13   	((volatile struct bitf *)0xfffff812)->bit03
#define	_IFC14   	((volatile struct bitf *)0xfffff812)->bit04
#define	_IFC15   	((volatile struct bitf *)0xfffff812)->bit05
#define	_DF1     	((volatile struct bitf *)0xfffff812)->bit07

#define	_IFC20   	((volatile struct bitf *)0xfffff814)->bit00
#define	_IFC21   	((volatile struct bitf *)0xfffff814)->bit01
#define	_IFC22   	((volatile struct bitf *)0xfffff814)->bit02
#define	_IFC23   	((volatile struct bitf *)0xfffff814)->bit03
#define	_IFC24   	((volatile struct bitf *)0xfffff814)->bit04
#define	_IFC25   	((volatile struct bitf *)0xfffff814)->bit05
#define	_DF2     	((volatile struct bitf *)0xfffff814)->bit07

#define	_IFC30   	((volatile struct bitf *)0xfffff816)->bit00
#define	_IFC31   	((volatile struct bitf *)0xfffff816)->bit01
#define	_IFC32   	((volatile struct bitf *)0xfffff816)->bit02
#define	_IFC33   	((volatile struct bitf *)0xfffff816)->bit03
#define	_IFC34   	((volatile struct bitf *)0xfffff816)->bit04
#define	_IFC35   	((volatile struct bitf *)0xfffff816)->bit05
#define	_DF3     	((volatile struct bitf *)0xfffff816)->bit07

#define	_PSM     	((volatile struct bitf *)0xfffff820)->bit00

#define	_LOCK    	((volatile struct bitf *)0xfffff824)->bit00

#define	_COREN0  	((volatile struct bitf *)0xfffff870)->bit00
#define	_COREN1  	((volatile struct bitf *)0xfffff870)->bit01
#define	_COREN2  	((volatile struct bitf *)0xfffff870)->bit02
#define	_COREN3  	((volatile struct bitf *)0xfffff870)->bit03

#define	_ESN0    	((volatile struct bitf *)0xfffff880)->bit00

#define	_FLSPM   	((volatile struct bitf *)0xfffff8d4)->bit01
#define	_VPP     	((volatile struct bitf *)0xfffff8d4)->bit02
#define	_VPPDIS  	((volatile struct bitf *)0xfffff8d4)->bit03

#define	_CSOT0   	((volatile struct bitf *)0xfffff900)->bit00
#define	_DIR0    	((volatile struct bitf *)0xfffff900)->bit04
#define	_TRMD0   	((volatile struct bitf *)0xfffff900)->bit06
#define	_CSICAE0 	((volatile struct bitf *)0xfffff900)->bit07

#define	_CSOT1   	((volatile struct bitf *)0xfffff910)->bit00
#define	_DIR1    	((volatile struct bitf *)0xfffff910)->bit04
#define	_TRMD1   	((volatile struct bitf *)0xfffff910)->bit06
#define	_CSICAE1 	((volatile struct bitf *)0xfffff910)->bit07

#define	_RXE0    	((volatile struct bitf *)0xfffffa00)->bit05
#define	_TXE0    	((volatile struct bitf *)0xfffffa00)->bit06
#define	_UARTCAE0	((volatile struct bitf *)0xfffffa00)->bit07

#define	_TXSF0   	((volatile struct bitf *)0xfffffa05)->bit00
#define	_TXBF0   	((volatile struct bitf *)0xfffffa05)->bit01

#define	_RXE1    	((volatile struct bitf *)0xfffffa28)->bit06

#define	_OVE1    	((volatile struct bitf *)0xfffffa2c)->bit00
#define	_FE1     	((volatile struct bitf *)0xfffffa2c)->bit01
#define	_PE1     	((volatile struct bitf *)0xfffffa2c)->bit02
#define	_SIR1    	((volatile struct bitf *)0xfffffa2c)->bit06
#define	_SOT1    	((volatile struct bitf *)0xfffffa2c)->bit07

#define	_UARTCE1 	((volatile struct bitf *)0xfffffa2e)->bit07

#define	_RXE2    	((volatile struct bitf *)0xfffffa48)->bit06

#define	_OVE2    	((volatile struct bitf *)0xfffffa4c)->bit00
#define	_FE2     	((volatile struct bitf *)0xfffffa4c)->bit01
#define	_PE2     	((volatile struct bitf *)0xfffffa4c)->bit02
#define	_SIR2    	((volatile struct bitf *)0xfffffa4c)->bit06
#define	_SOT2    	((volatile struct bitf *)0xfffffa4c)->bit07


#endif /* __uPD703116_H */
